import java.util.Properties;
import javax.mail.*;
import com.sun.mail.imap.*;

public class InboxReader {
	
	public static String[] dateStrings(String server, String folder, String username, String password) throws Exception {
		// connect to the IMAP server
		Properties props = System.getProperties();
		props.setProperty("mail.store.protocol", "imaps");
		Session session = Session.getDefaultInstance(props, null);
		IMAPStore store = (IMAPStore)session.getStore("imaps");
		store.connect(server, username, password);
		IMAPFolder inbox = (IMAPFolder) store.getFolder(folder);
		inbox.open(Folder.READ_ONLY);

		// open the IMAP folder
		FetchProfile fp = new FetchProfile();
		fp.add(IMAPFolder.FetchProfileItem.HEADERS);
		fp.add(IMAPFolder.FetchProfileItem.ENVELOPE);
		Message[] messages = inbox.getMessages();
		inbox.fetch(messages, fp);

		// grab the dates from the emails
		int messagecount = messages.length;
		String[] datestrings = new String[messagecount];
		for (int i=0; i<messagecount; i++) {
			try{
				datestrings[i] = messages[i].getSentDate().toString();
			} catch (Exception e) {
				datestrings[i] = "failed";
				continue;
			}
		}

		return datestrings;
	}
	
}

