(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    465524,       9838]
NotebookOptionsPosition[    460932,       9674]
NotebookOutlinePosition[    461310,       9691]
CellTagsIndexPosition[    461267,       9688]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Import Outgoing mail time stamps\
\>", "Section",
 CellChangeTimes->{{3.5418540626741343`*^9, 3.541854064297407*^9}, 
   3.541854096972543*^9, {3.5418542415857363`*^9, 3.54185424302276*^9}, {
   3.541854853348193*^9, 3.5418548560729513`*^9}, {3.541856793553328*^9, 
   3.541856816676404*^9}, 3.542538232572536*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<JLink`\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.541854690567863*^9, 3.54185470532375*^9}, {
   3.5418547867995787`*^9, 3.541854786899377*^9}, {3.541854839599847*^9, 
   3.541854850924727*^9}, {3.54185586976404*^9, 3.541855871800692*^9}, {
   3.541863731107683*^9, 3.5418637340809793`*^9}, 3.541865675529941*^9, {
   3.542485728992569*^9, 3.5424857312782717`*^9}, {3.542485761657668*^9, 
   3.542485762255129*^9}, 3.542485849189109*^9, 3.5424864246249037`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AddToClassPath", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.541854690567863*^9, 3.54185470532375*^9}, {
   3.5418547867995787`*^9, 3.541854786899377*^9}, {3.541854839599847*^9, 
   3.541854850924727*^9}, {3.54185586976404*^9, 3.541855871800692*^9}, {
   3.541863731107683*^9, 3.5418637340809793`*^9}, 3.541865675529941*^9, {
   3.542485728992569*^9, 3.5424857312782717`*^9}, {3.542485761657668*^9, 
   3.542485762255129*^9}, 3.542485849189109*^9, {3.5424864246249037`*^9, 
   3.54248642617669*^9}, {3.5424886564540863`*^9, 3.542488657603136*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"importemaildates", "[", 
    RowBox[{"server_String", ",", "folder_String"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"DynamicModule", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "email", ",", "password", ",", "datestrings", ",", "monthname2num", 
        ",", "datelists", ",", "parsedate"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"monthname2num", "=", 
        RowBox[{"Dispatch", "@", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"DateString", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"2000", ",", "n"}], "}"}], ",", 
              "\"\<MonthNameShort\>\""}], "]"}], "\[Rule]", "n"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "1", ",", "12", ",", "1"}], "}"}]}], "]"}]}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"parsedate", "[", "date_String", "]"}], ":=", 
        RowBox[{"FromDigits", "/@", 
         RowBox[{"Flatten", "@", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"StringSplit", "[", "date", "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"-", "1"}], "]"}], "]"}], ",", 
            RowBox[{"IntegerString", "[", 
             RowBox[{
              RowBox[{"StringTake", "[", 
               RowBox[{"date", ",", 
                RowBox[{"{", 
                 RowBox[{"5", ",", "7"}], "}"}]}], "]"}], "/.", 
              "monthname2num"}], "]"}], ",", 
            RowBox[{"StringTake", "[", 
             RowBox[{"date", ",", 
              RowBox[{"{", 
               RowBox[{"9", ",", "10"}], "}"}]}], "]"}], ",", 
            RowBox[{"StringSplit", "[", 
             RowBox[{
              RowBox[{"StringTake", "[", 
               RowBox[{"date", ",", 
                RowBox[{"{", 
                 RowBox[{"12", ",", "19"}], "}"}]}], "]"}], ",", 
              "\"\<:\>\""}], "]"}]}], "}"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"JavaBlock", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"LoadJavaClass", "[", "\"\<InboxReader\>\"", "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"email", ",", "password"}], "}"}], "=", 
          RowBox[{"DialogInput", "[", "\[IndentingNewLine]", 
           RowBox[{"Grid", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"\"\<IMAP server:\>\"", ",", 
                 RowBox[{"InputField", "[", 
                  RowBox[{"server", ",", "String"}], "]"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"\"\<Folder:\>\"", ",", 
                 RowBox[{"InputField", "[", 
                  RowBox[{"folder", ",", "String"}], "]"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"\"\<Email address:\>\"", ",", 
                 RowBox[{"InputField", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", "email", "]"}], ",", "String", ",", 
                   RowBox[{
                   "FieldHint", "\[Rule]", "\"\<john.smith@gmail.com\>\""}]}],
                   "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"\"\<Password:\>\"", ",", 
                 RowBox[{"InputField", "[", 
                  RowBox[{
                   RowBox[{"Dynamic", "[", "password", "]"}], ",", "String", 
                   ",", 
                   RowBox[{"FieldHint", "\[Rule]", "\"\<<<password>>\>\""}], 
                   ",", 
                   RowBox[{"FieldMasked", "\[Rule]", "True"}]}], "]"}]}], 
                "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"CancelButton", "[", 
                  RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}], "]"}],
                  ",", 
                 RowBox[{"DefaultButton", "[", 
                  RowBox[{
                   RowBox[{"DialogReturn", "[", 
                    RowBox[{"{", 
                    RowBox[{"email", ",", 
                    RowBox[{"Compress", "@", "password"}]}], "}"}], "]"}], 
                   ",", 
                   RowBox[{"Appearance", "\[Rule]", "\"\<Palette\>\""}]}], 
                  "]"}]}], "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Spacings", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"1", ",", "Automatic"}], "}"}]}], ",", 
             RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], 
           "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
         "Print", "[", "\"\<Importing email ... please wait ...\>\"", "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"datestrings", "=", 
          RowBox[{"InboxReader`dateStrings", "[", 
           RowBox[{"server", ",", "folder", ",", "email", ",", 
            RowBox[{"Uncompress", "@", "password"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Print", "[", "\"\<Finished importing email!\>\"", "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"datelists", "=", 
          RowBox[{"Sort", "[", 
           RowBox[{"parsedate", "/@", 
            RowBox[{"DeleteCases", "[", 
             RowBox[{"datestrings", ",", "\"\<failed\>\""}], "]"}]}], "]"}]}],
          ";"}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       "datelists"}]}], "\[IndentingNewLine]", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.541854690567863*^9, 3.54185470532375*^9}, {
   3.5418547867995787`*^9, 3.541854786899377*^9}, {3.541854839599847*^9, 
   3.541854850924727*^9}, {3.54185586976404*^9, 3.541855871800692*^9}, {
   3.541863731107683*^9, 3.5418637340809793`*^9}, 3.541865675529941*^9, {
   3.542485728992569*^9, 3.5424857312782717`*^9}, {3.542485761657668*^9, 
   3.542485762255129*^9}, 3.542485849189109*^9, {3.5424864246249037`*^9, 
   3.54248642617669*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"sentdates", "=", 
   RowBox[{"importemaildates", "[", 
    RowBox[{"\"\<imap.gmail.com\>\"", ",", "\"\<[Gmail]/Sent Mail\>\""}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.541854690567863*^9, 3.54185470532375*^9}, {
   3.5418547867995787`*^9, 3.541854786899377*^9}, {3.541854839599847*^9, 
   3.541854850924727*^9}, {3.54185586976404*^9, 3.541855871800692*^9}, {
   3.541863731107683*^9, 3.5418637340809793`*^9}, 3.541865675529941*^9, {
   3.542485728992569*^9, 3.5424857312782717`*^9}, {3.542485761657668*^9, 
   3.542485762255129*^9}, 3.542485849189109*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Importing email ... please wait ...\"\>"], "Print",
 CellChangeTimes->{
  3.54186602777835*^9, 3.5419844991837673`*^9, 3.541985773975709*^9, 
   3.542487205198614*^9, {3.542487784688669*^9, 3.542487803102312*^9}, 
   3.542487974912568*^9, 3.542488634841455*^9, 3.542488738115242*^9, 
   3.542489651600075*^9, 3.5424902460587463`*^9, 3.542490707522376*^9}],

Cell[BoxData["\<\"Finished importing email!\"\>"], "Print",
 CellChangeTimes->{
  3.54186602777835*^9, 3.5419844991837673`*^9, 3.541985773975709*^9, 
   3.542487205198614*^9, {3.542487784688669*^9, 3.542487803102312*^9}, 
   3.542487974912568*^9, 3.542488634841455*^9, 3.542488738115242*^9, 
   3.542489651600075*^9, 3.5424902460587463`*^9, 3.542490731939825*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", "sentdates"}]], "Input",
 CellChangeTimes->{{3.541855081085738*^9, 3.5418550840113087`*^9}, {
  3.541855344488752*^9, 3.5418553454619923`*^9}, {3.5418557840499363`*^9, 
  3.541855784785466*^9}, {3.541855891275813*^9, 3.541855896837236*^9}}],

Cell[BoxData["1694"], "Output",
 CellChangeTimes->{
  3.5418550844356422`*^9, 3.5418552715871162`*^9, 3.541855345730338*^9, 
   3.541855506710848*^9, 3.541855556216316*^9, 3.541855785202721*^9, 
   3.541855841247119*^9, {3.541855888369315*^9, 3.541855897292777*^9}, 
   3.541863850290283*^9, 3.5418660340724163`*^9, 3.542487233581678*^9, 
   3.542487833299282*^9, 3.5424880179819307`*^9, 3.542488635330536*^9, 
   3.54248875926304*^9, 3.5424896691864157`*^9, 3.5424907321245317`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sentdates", "[", 
  RowBox[{"[", 
   RowBox[{"1", ";;", "10"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.541855348047965*^9, 3.541855350292482*^9}, {
  3.541855853783675*^9, 3.541855854087804*^9}, {3.5418558998756638`*^9, 
  3.5418559012633543`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "10", ",", "48", ",", "13"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "10", ",", "51", ",", "13"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "10", ",", "55", ",", "48"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "11", ",", "2", ",", "30"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "14", ",", "18", ",", "27"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "14", ",", "19", ",", "46"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "14", ",", "29", ",", "47"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "14", ",", "50", ",", "22"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "15", ",", "22", ",", "19"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "27", ",", "15", ",", "49", ",", "13"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.541855508396741*^9, 3.541855786874979*^9, {3.541855842064207*^9, 
   3.5418558545273037`*^9}, 3.541855901479158*^9, 3.5418638513335333`*^9, {
   3.541866009020082*^9, 3.541866036871686*^9}, 3.542487233623371*^9, 
   3.54248783399972*^9, 3.542488018682577*^9, 3.542488635387444*^9, 
   3.542488759965473*^9, 3.5424896692357893`*^9, 3.542490732177313*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Import incoming mail time stamps\
\>", "Section",
 CellChangeTimes->{{3.54185620413899*^9, 3.541856208387435*^9}, 
   3.542538234600049*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"incomingdates", "=", 
   RowBox[{"importemaildates", "[", 
    RowBox[{"\"\<imap.gmail.com\>\"", ",", "\"\<Inbox\>\""}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.541854690567863*^9, 3.54185470532375*^9}, {
   3.5418547867995787`*^9, 3.541854786899377*^9}, {3.541854839599847*^9, 
   3.541854850924727*^9}, {3.54185586976404*^9, 3.541855871800692*^9}, {
   3.5418562182654667`*^9, 3.541856224413782*^9}, {3.541863737443348*^9, 
   3.541863740918659*^9}, 3.541865676767581*^9}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Importing email ... please wait ...\"\>"], "Print",
 CellChangeTimes->{3.5418562462611723`*^9, 3.542487257342293*^9, 
  3.542489715662826*^9, 3.542490750968381*^9}],

Cell[BoxData["\<\"Finished importing email!\"\>"], "Print",
 CellChangeTimes->{3.5418562462611723`*^9, 3.542487257342293*^9, 
  3.542489715662826*^9, 3.542490940964054*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Length", "@", "incomingdates"}]], "Input",
 CellChangeTimes->{{3.541856324378249*^9, 3.541856328163642*^9}}],

Cell[BoxData["7208"], "Output",
 CellChangeTimes->{3.541856328473649*^9, 3.5424874494222813`*^9, 
  3.542489906093808*^9, 3.542490941349945*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"incomingdates", "[", 
  RowBox[{"[", 
   RowBox[{"1", ";;", "10"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.541856331015588*^9, 3.54185633641297*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "22", ",", "19", ",", "29", ",", "57"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "22", ",", "19", ",", "29", ",", "57"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "22", ",", "19", ",", "33", ",", "21"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "22", ",", "19", ",", "57", ",", "49"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "22", ",", "20", ",", "3", ",", "21"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "24", ",", "12", ",", "22", ",", "42"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "24", ",", "19", ",", "7", ",", "54"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "24", ",", "19", ",", "17", ",", "3"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "24", ",", "22", ",", "16", ",", "51"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2007", ",", "1", ",", "25", ",", "9", ",", "26", ",", "55"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5418563368378983`*^9, 3.5424874494801607`*^9, 
  3.5424899061426287`*^9, 3.542490941398744*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diurnal plot of outgoing mail", "Section",
 CellChangeTimes->{{3.541854078723371*^9, 3.541854093209487*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"dayfraction", "[", 
    RowBox[{"date", ":", 
     RowBox[{"{", 
      RowBox[{
      "_Integer", ",", "_Integer", ",", "_Integer", ",", "_Integer", ",", 
       "_Integer", ",", "_"}], "}"}]}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"3600", ",", "60", ",", "1"}], "}"}], ".", 
     RowBox[{"date", "[", 
      RowBox[{"[", 
       RowBox[{"4", ";;", "6"}], "]"}], "]"}]}], "/", "3600."}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"diurnalplot", "[", "dates_List", "]"}], ":=", 
  RowBox[{"DateListPlot", "[", 
   RowBox[{
    RowBox[{"SortBy", "[", 
     RowBox[{
      RowBox[{"Cases", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"#", ",", 
            RowBox[{"dayfraction", "@", "#"}]}], "}"}], "&"}], "/@", 
         "dates"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"_Integer", ",", "__"}], "}"}], ",", "_Real"}], "}"}]}], 
       "]"}], ",", 
      RowBox[{
       RowBox[{"AbsoluteTime", "@", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "&"}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"ImageSize", "\[Rule]", "450"}], ",", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"DateString", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                "2000", ",", "1", ",", "1", ",", "n", ",", "0", ",", "0"}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                "\"\<Hour12Short\>\"", ",", "\"\< \>\"", ",", 
                 "\"\<AMPM\>\""}], "}"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", "0", ",", "24", ",", "3"}], "}"}]}], "]"}], ",",
          "None"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"n", ",", "1", ",", "1"}], "}"}], ",", "n"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"dates", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"dates", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"-", "1"}], ",", "1"}], "]"}], "]"}], ",", "1"}], 
            "}"}]}], "]"}], ",", "None"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"FrameTicksStyle", "->", 
     RowBox[{"Directive", "[", 
      RowBox[{"Black", ",", 
       RowBox[{"FontFamily", " ", "->", " ", "\"\<Times\>\""}], ",", " ", 
       RowBox[{"FontSize", " ", "->", " ", "11"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"DateTicksFormat", "->", 
     RowBox[{"{", "\"\<Year\>\"", "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Directive", "[", 
      RowBox[{
       RowBox[{"RGBColor", "[", 
        RowBox[{"0.897078", ",", " ", "0.379736", ",", " ", "0.0536355"}], 
        "]"}], ",", 
       RowBox[{"PointSize", "[", "0.0025", "]"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"FrameStyle", "\[Rule]", 
     RowBox[{"GrayLevel", "[", "0.75", "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRangePadding", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.1", ",", "0.1"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"dates", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", 
            RowBox[{"1", ";;", "2"}]}], "]"}], "]"}], ",", "Automatic"}], 
        "}"}], ",", "All"}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.541791162154085*^9, 3.5417912072692757`*^9}, {
  3.5424905784819803`*^9, 3.542490579264411*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"diurnalplot", "[", "sentdates", "]"}]], "Input",
 CellChangeTimes->{{3.5418564661150827`*^9, 3.541856484675601*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.897078, 0.379736, 0.0536355], PointSize[0.0025], 
    PointBox[CompressedData["
1:eJxtnAlYzOv7/8cu+3bsy9h3IZW1JrSpEEkrU0TKViIqGY4tOyGyDUUUIVJI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     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->NCache[{3376598400, 0}, {3.3765984*^9, 0}],
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{{{0, 
       FormBox["\"12 AM\"", TraditionalForm]}, {3, 
       FormBox["\"3 AM\"", TraditionalForm]}, {6, 
       FormBox["\"6 AM\"", TraditionalForm]}, {9, 
       FormBox["\"9 AM\"", TraditionalForm]}, {12, 
       FormBox["\"12 PM\"", TraditionalForm]}, {15, 
       FormBox["\"3 PM\"", TraditionalForm]}, {18, 
       FormBox["\"6 PM\"", TraditionalForm]}, {21, 
       FormBox["\"9 PM\"", TraditionalForm]}, {24, 
       FormBox["\"12 AM\"", TraditionalForm]}}, None}, {{{
       NCache[3376598400, 3.3765984*^9], 
       FormBox["2007", TraditionalForm]}, {
       NCache[3408134400, 3.4081344*^9], 
       FormBox["2008", TraditionalForm]}, {
       NCache[3439756800, 3.4397568*^9], 
       FormBox["2009", TraditionalForm]}, {
       NCache[3471292800, 3.4712928*^9], 
       FormBox["2010", TraditionalForm]}, {
       NCache[3502828800, 3.5028288*^9], 
       FormBox["2011", TraditionalForm]}, {
       NCache[3534364800, 3.5343648*^9], 
       FormBox["2012", TraditionalForm]}}, None}},
  FrameTicksStyle->Directive[
    GrayLevel[0], FontFamily -> "Times", FontSize -> 11],
  GridLines->NCache[{{{3376598400, 
       GrayLevel[0.8]}, {3408134400, 
       GrayLevel[0.8]}, {3439756800, 
       GrayLevel[0.8]}, {3471292800, 
       GrayLevel[0.8]}, {3502828800, 
       GrayLevel[0.8]}, {3534364800, 
       GrayLevel[0.8]}}, None}, {{{3.3765984*^9, 
       GrayLevel[0.8]}, {3.4081344*^9, 
       GrayLevel[0.8]}, {3.4397568*^9, 
       GrayLevel[0.8]}, {3.4712928*^9, 
       GrayLevel[0.8]}, {3.5028288*^9, 
       GrayLevel[0.8]}, {3.5343648*^9, 
       GrayLevel[0.8]}}, None}],
  ImageSize->450,
  PlotRange->
   NCache[{{3376598400, 3.542404162*^9}, All}, {{3.3765984*^9, 
     3.542404162*^9}, All}],
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0.1, 0.1}},
  Ticks->None]], "Output",
 CellChangeTimes->{3.541856485327518*^9, 3.542487508032028*^9, 
  3.5424899224448233`*^9, 3.542490581575144*^9, 3.542490941693343*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diurnal plot of incoming mail", "Section",
 CellChangeTimes->{{3.541856494738824*^9, 3.541856500563177*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"diurnalplot", "[", "incomingdates", "]"}]], "Input",
 CellChangeTimes->{{3.5418564661150827`*^9, 3.5418565089138327`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.897078, 0.379736, 0.0536355], PointSize[0.0025], 
    PointBox[CompressedData["
1:eJysvWdYVFnTBdrmnHNuc05IFrTJWRRQBAxtjqigSFQbcwRFJJlaBcQ45hza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     "]]}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  AxesOrigin->NCache[{3376598400, 0}, {3.3765984*^9, 0}],
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{{{0, 
       FormBox["\"12 AM\"", TraditionalForm]}, {3, 
       FormBox["\"3 AM\"", TraditionalForm]}, {6, 
       FormBox["\"6 AM\"", TraditionalForm]}, {9, 
       FormBox["\"9 AM\"", TraditionalForm]}, {12, 
       FormBox["\"12 PM\"", TraditionalForm]}, {15, 
       FormBox["\"3 PM\"", TraditionalForm]}, {18, 
       FormBox["\"6 PM\"", TraditionalForm]}, {21, 
       FormBox["\"9 PM\"", TraditionalForm]}, {24, 
       FormBox["\"12 AM\"", TraditionalForm]}}, None}, {{{
       NCache[3376598400, 3.3765984*^9], 
       FormBox["2007", TraditionalForm]}, {
       NCache[3408134400, 3.4081344*^9], 
       FormBox["2008", TraditionalForm]}, {
       NCache[3439756800, 3.4397568*^9], 
       FormBox["2009", TraditionalForm]}, {
       NCache[3471292800, 3.4712928*^9], 
       FormBox["2010", TraditionalForm]}, {
       NCache[3502828800, 3.5028288*^9], 
       FormBox["2011", TraditionalForm]}, {
       NCache[3534364800, 3.5343648*^9], 
       FormBox["2012", TraditionalForm]}}, None}},
  FrameTicksStyle->Directive[
    GrayLevel[0], FontFamily -> "Times", FontSize -> 11],
  GridLines->NCache[{{{3376598400, 
       GrayLevel[0.8]}, {3408134400, 
       GrayLevel[0.8]}, {3439756800, 
       GrayLevel[0.8]}, {3471292800, 
       GrayLevel[0.8]}, {3502828800, 
       GrayLevel[0.8]}, {3534364800, 
       GrayLevel[0.8]}}, None}, {{{3.3765984*^9, 
       GrayLevel[0.8]}, {3.4081344*^9, 
       GrayLevel[0.8]}, {3.4397568*^9, 
       GrayLevel[0.8]}, {3.4712928*^9, 
       GrayLevel[0.8]}, {3.5028288*^9, 
       GrayLevel[0.8]}, {3.5343648*^9, 
       GrayLevel[0.8]}}, None}],
  ImageSize->450,
  PlotRange->
   NCache[{{3376598400, 3.542466987*^9}, All}, {{3.3765984*^9, 
     3.542466987*^9}, All}],
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0.1, 0.1}},
  Ticks->None]], "Output",
 CellChangeTimes->{3.541856510176298*^9, 3.542487516202672*^9, 
  3.542489927175241*^9, 3.5424909426363773`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Incoming and outgoing mail averaged by month", "Section",
 CellChangeTimes->{{3.541797709041565*^9, 3.541797709590564*^9}, {
  3.541798917243191*^9, 3.541798924650943*^9}, {3.541856628275909*^9, 
  3.541856631525291*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"monthlytimeseries", "[", 
   RowBox[{"incomingdates_List", ",", "sentdates_List"}], "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "startdate", ",", "enddate", ",", "plotstartdate", ",", "plotenddate", 
      ",", "fillcolor1", ",", "fillcolor2", ",", "edgecolor1", ",", 
      "edgecolor2", ",", "incomingdaily", ",", "sentdaily", ",", 
      "incomingmonthly", ",", "sentmonthly", ",", "maxcount"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"startdate", ",", "enddate"}], "}"}], "=", 
      RowBox[{
       RowBox[{"Sort", "[", 
        RowBox[{"Join", "[", 
         RowBox[{"incomingdates", ",", "sentdates"}], "]"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"plotstartdate", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", 
          RowBox[{"#2", "+", "1"}], ",", "1"}], "}"}], "&"}], "@@", 
       RowBox[{"DatePlus", "[", 
        RowBox[{"startdate", ",", 
         RowBox[{"-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"plotenddate", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", 
          RowBox[{"#2", "-", "1"}], ",", "1"}], "}"}], "&"}], "@@", 
       RowBox[{"DatePlus", "[", 
        RowBox[{"enddate", ",", "1"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     
     RowBox[{"fillcolor1", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.9767299916075379`", ",", "0.8508278019378958`", ",", 
        "0.20663767452506293`", ",", "0.5`"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"fillcolor2", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.899275196459907`", ",", "0.6667734798199435`", ",", 
        "0.23724727244983596`", ",", "0.5`"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"edgecolor1", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.9112382696269169`", ",", "0.7275959411001754`", ",", "0.`"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"edgecolor2", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.8589303425650415`", ",", "0.5647364003967346`", ",", 
        "0.20836194399938965`"}], "]"}]}], ";", 
     RowBox[{"incomingdaily", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"DatePlus", "[", 
          RowBox[{"startdate", ",", "#"}], "]"}], "&"}], ",", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", 
          RowBox[{"DateDifference", "[", 
           RowBox[{"startdate", ",", "enddate"}], "]"}]}], "]"}]}], "]"}]}], 
     ";", 
     RowBox[{"incomingdaily", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"Count", "[", 
           RowBox[{"incomingdates", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sequence", "@@", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{";;", "3"}], "]"}], "]"}]}], ",", "__"}], "}"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "incomingdaily"}]}], ";", 
     RowBox[{"sentdaily", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"DatePlus", "[", 
          RowBox[{"startdate", ",", "#"}], "]"}], "&"}], ",", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", 
          RowBox[{"DateDifference", "[", 
           RowBox[{"startdate", ",", "enddate"}], "]"}]}], "]"}]}], "]"}]}], 
     ";", 
     RowBox[{"sentdaily", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"Count", "[", 
           RowBox[{"sentdates", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sequence", "@@", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{";;", "3"}], "]"}], "]"}]}], ",", "__"}], "}"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "sentdaily"}]}], ";", 
     RowBox[{"incomingmonthly", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1", ",", 
             RowBox[{";;", "2"}]}], "]"}], "]"}], ",", 
          RowBox[{"Mean", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
       RowBox[{"GatherBy", "[", 
        RowBox[{"incomingdaily", ",", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", 
             RowBox[{";;", "2"}]}], "]"}], "]"}], "&"}]}], "]"}]}]}], ";", 
     RowBox[{"sentmonthly", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1", ",", 
             RowBox[{";;", "2"}]}], "]"}], "]"}], ",", 
          RowBox[{"Mean", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
       RowBox[{"GatherBy", "[", 
        RowBox[{"sentdaily", ",", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", 
             RowBox[{";;", "2"}]}], "]"}], "]"}], "&"}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"maxcount", "=", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{"incomingmonthly", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
        RowBox[{"sentmonthly", "[", 
         RowBox[{"[", 
          RowBox[{"All", ",", "2"}], "]"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Labeled", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"DateListPlot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"incomingmonthly", ",", "sentmonthly"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"plotstartdate", ",", "plotenddate"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "All"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotRangePadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Scaled", "[", ".1", "]"}]}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Joined", "\[Rule]", "True"}], ",", 
         RowBox[{"Filling", "\[Rule]", "Axis"}], ",", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", "450"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"FrameTicksStyle", "\[Rule]", "Black"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"FrameTicks", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FindDivisions", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"0", ",", "maxcount", ",", "1"}], "}"}], ",", "5"}], 
               "]"}], ",", "None"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"#", ",", "1", ",", "1"}], "}"}], "&"}], "/@", 
               RowBox[{"FindDivisions", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"First", "@", "plotstartdate"}], ",", 
                   RowBox[{"First", "@", "plotenddate"}], ",", "1"}], "}"}], 
                 ",", "5"}], "]"}]}], ",", "None"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"FrameStyle", "\[Rule]", 
          RowBox[{"GrayLevel", "[", "0.75", "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AspectRatio", "\[Rule]", 
          RowBox[{"1", "/", "4"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"ImagePadding", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"30", ",", "5"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"15", ",", "2"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"FillingStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"1", "\[Rule]", "fillcolor1"}], ",", 
            RowBox[{"2", "\[Rule]", "fillcolor2"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Directive", "[", 
             RowBox[{
              RowBox[{"Thickness", "[", ".0025", "]"}], ",", "edgecolor1"}], 
             "]"}], ",", 
            RowBox[{"Directive", "[", 
             RowBox[{
              RowBox[{"Thickness", "[", ".0025", "]"}], ",", "edgecolor2"}], 
             "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"GridLinesStyle", "\[Rule]", 
          RowBox[{"GrayLevel", "[", "0.87", "]"}]}]}], "\[IndentingNewLine]", 
        "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Grid", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"edgecolor1", ",", 
                RowBox[{"Rectangle", "[", "]"}]}], "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "10"}], ",", 
              RowBox[{"ImageMargins", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "0"}], "}"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<incoming\>\"", ",", "11", ",", 
              RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}],
             ",", "\"\< \>\"", ",", 
            RowBox[{"Graphics", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"edgecolor2", ",", 
                RowBox[{"Rectangle", "[", "]"}]}], "}"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", "10"}], ",", 
              RowBox[{"ImageMargins", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"3", ",", "0"}], "}"}]}], "}"}]}]}], "]"}], ",", 
            RowBox[{"Style", "[", 
             RowBox[{"\"\<outgoing\>\"", ",", "11", ",", 
              RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], 
             "]"}]}], "}"}], "}"}], ",", 
         RowBox[{"Spacings", "\[Rule]", ".4"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "Bottom"}], "\[IndentingNewLine]", "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.541857625829447*^9, 3.541857726989685*^9}, {
   3.541858400980549*^9, 3.54185840305225*^9}, {3.541858524178815*^9, 
   3.541858584779769*^9}, {3.5418586428304996`*^9, 3.541858668104452*^9}, {
   3.541858713241911*^9, 3.541858713405032*^9}, {3.541858832556692*^9, 
   3.5418588462285013`*^9}, 3.5424906076503143`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"monthlytimeseries", "[", 
  RowBox[{"incomingdates", ",", "sentdates"}], "]"}]], "Input",
 CellChangeTimes->{{3.541857763317712*^9, 3.54185778990386*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[
    GraphicsComplexBox[CompressedData["
1:eJx9lH1I1WcUx69W67Zq3VuNqfSizjBhhu6PhiE891QE1j9iOJj9oaUFETVZ
RQP3IkOowMCijN7APxKjiC69Is240ApHGpcKLTR7ne55WnkLnS7W3D3fc59f
z/2ng3I5PC/n+5zz/fyyNnxbtjHV5/M1xP/5Nx7hbxZr2oSYG4rn9TvzNfVd
3hr/C3Iemf2lph+GO8YG6hZy3rTkK027EPM5L8gs1rRuy9lLPRWfce4rJk0D
Dzk+5bwlf5UmKTWP89qSNZqW+7MaAstRL7Sx1K4HOH/8dbmm1XmtB8tWp3Ae
/q5C00qEj/PSmkpNt4uGjm+/jfXM+hpNQVyYynns2GZNGevb24LNkzivqt6m
CfK2TIHen7drykagXrT2e7sueht/1HT0CAfuD/30i6YdKPifYpFHd2ti9f6s
ydB7qVHTr1c5pqN/bfvt/o+g93pz0nrs4jFNON6A90SiLZoOlfGLob/pr1bb
jxnQt/e0pkd1PACcb2k9Z/s7DfoOX7TnP+Y8cKHdvg/1wyevabqZVt1YeNMP
fZHryfr6O5P1dXdrGh/ggliP6DtJ9ar6epP0F4z12/vHuT++OU81XWH79P3N
eSg8aOf5D/rX9cL6Z4LzcEdM01pseMt5/YNR60f0O/PWW/t+zDM2OGHnj/si
qVMMBRGYV9XINOPOpyAwy7j+iabMNQQ5efBDy/x0Q8v4uqKp8GfRAkOLSg7k
lByAP8I92SZRfw769ybXJPr7Cfz3/AtDuK4V84pNFBoafsWBeTS9Xmro2hg3
FOerZhabRP/SoC+PTMJvWI9mrIqfZ9yG06Fv6Rrj8hlaXGoondudhv2BleUm
wWcW/FhZYehUsLkuY30u5ptbaesvgt4VNSbhr8/xPua/u4sD/QH/8v4R9Jf5
d/gB/3Je5s/8S//GMH/mX/qDeYJ/xy/g3zkP/vfu4YjxfvCPcmf/gD+Yf/Hn
C87Bv6yPwh/Mv/TrJefgf1+4/67/FnLwj8+NH/4A/+KHf3kd/Ev/ZqHfzL/o
fwr/Mv+iP+rxL/lj6GX+ZX4PlOXf2Q/+xe+9yvIvvN5Rln/xzz1l+d+GDzDe
D/6Frz+V5V/uG1KW/94KnhD6Df4dPeBf6r1Rln/he0BZ/ssRN1Qy/1h3+O9W
ln9Hr8P/fY9/dk9OyXmPf1nv9PiXefZ5/MM+Q10e/1Lvocc/u7268Ymy/F/u
wYM9/uW9vyvLv/Q/rCz/jn7w7/Qf/Mt7flOWf7En5gf+pf5rZfl39IN/Zz7g
39EP/kXvoLL8O7yA/zOnOYyy/J/gdhx/piz/wgfuB//yPQIP4F/4fKcs/0x/
e1uKx7/4G99bh3/wBv5978NZR3xw/X+Lny4N
     "], {{{}, {
        RGBColor[
        0.9767299916075379, 0.8508278019378958, 0.20663767452506293`], 
        Opacity[0.5], 
        EdgeForm[None], 
        GraphicsGroupBox[
         PolygonBox[{{1, 131, 132, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54,
           53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37,
           36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20,
           19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 
          2}}]]}, {}, {
        RGBColor[0.899275196459907, 0.6667734798199435, 0.23724727244983596`], 
        Opacity[0.5], 
        EdgeForm[None], 
        GraphicsGroupBox[
         PolygonBox[{{65, 129, 130, 128, 127, 126, 125, 124, 123, 122, 121, 
          120, 119, 118, 117, 116, 115, 114, 113, 112, 111, 110, 109, 108, 
          107, 106, 105, 104, 103, 102, 101, 100, 99, 98, 97, 96, 95, 94, 93, 
          92, 91, 90, 89, 88, 87, 86, 85, 84, 83, 82, 81, 80, 79, 78, 77, 76, 
          75, 74, 73, 72, 71, 70, 69, 68, 67, 
          66}}]]}, {}, {}, {}, {}, {}, {}}, {{}, {}, {
        RGBColor[0.9112382696269169, 0.7275959411001754, 0.], 
        Thickness[0.0025], 
        LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
         18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
         35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 
         52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64}]}, {
        RGBColor[
        0.8589303425650415, 0.5647364003967346, 0.20836194399938965`], 
        Thickness[0.0025], 
        LineBox[{65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 
         80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 
         97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 
         111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124,
          125, 126, 127, 128}]}}}], AspectRatio -> NCache[
      Rational[1, 4], 0.25], AxesOrigin -> 
    NCache[{3379276800, 0}, {3.3792768*^9, 0}], Frame -> True, FrameStyle -> 
    GrayLevel[0.75], FrameTicks -> {{{{0, 
         FormBox["0", TraditionalForm]}, {2, 
         FormBox["2", TraditionalForm]}, {5, 
         FormBox["5", TraditionalForm]}, {8, 
         FormBox["8", TraditionalForm]}, {10, 
         FormBox["10", TraditionalForm]}, {12, 
         FormBox["12", TraditionalForm]}}, None}, {{{
         NCache[3376598400, 3.3765984*^9], 
         FormBox["\"2007\"", TraditionalForm]}, {
         NCache[3408134400, 3.4081344*^9], 
         FormBox["\"2008\"", TraditionalForm]}, {
         NCache[3439756800, 3.4397568*^9], 
         FormBox["\"2009\"", TraditionalForm]}, {
         NCache[3471292800, 3.4712928*^9], 
         FormBox["\"2010\"", TraditionalForm]}, {
         NCache[3502828800, 3.5028288*^9], 
         FormBox["\"2011\"", TraditionalForm]}, {
         NCache[3534364800, 3.5343648*^9], 
         FormBox["\"2012\"", TraditionalForm]}}, None}}, FrameTicksStyle -> 
    GrayLevel[0], GridLines -> NCache[{{{3376598400, 
         GrayLevel[0.87]}, {3408134400, 
         GrayLevel[0.87]}, {3439756800, 
         GrayLevel[0.87]}, {3471292800, 
         GrayLevel[0.87]}, {3502828800, 
         GrayLevel[0.87]}, {3534364800, 
         GrayLevel[0.87]}}, None}, {{{3.3765984*^9, 
         GrayLevel[0.87]}, {3.4081344*^9, 
         GrayLevel[0.87]}, {3.4397568*^9, 
         GrayLevel[0.87]}, {3.4712928*^9, 
         GrayLevel[0.87]}, {3.5028288*^9, 
         GrayLevel[0.87]}, {3.5343648*^9, 
         GrayLevel[0.87]}}, None}], GridLinesStyle -> GrayLevel[0.87], 
    ImagePadding -> {{30, 5}, {15, 2}}, ImageSize -> 450, PlotRange -> 
    NCache[{{3379276800, 3539548800}, {0, All}}, {{3.3792768*^9, 
       3.5395488*^9}, {0, All}}], PlotRangeClipping -> True, 
    PlotRangePadding -> {{0, 0}, {0, 
       Scaled[0.1]}}, Ticks -> None],TagBox[
    GridBox[{{
       GraphicsBox[{
         RGBColor[0.9112382696269169, 0.7275959411001754, 0.], 
         RectangleBox[{0, 0}]}, ImageMargins -> {{0, 0}, {3, 0}}, ImageSize -> 
        10], 
       StyleBox[
       "\"incoming\"", StripOnInput -> False, FontFamily -> "Helvetica", 
        FontSize -> 11], "\" \"", 
       GraphicsBox[{
         RGBColor[
         0.8589303425650415, 0.5647364003967346, 0.20836194399938965`], 
         RectangleBox[{0, 0}]}, ImageMargins -> {{0, 0}, {3, 0}}, ImageSize -> 
        10], 
       StyleBox[
       "\"outgoing\"", StripOnInput -> False, FontFamily -> "Helvetica", 
        FontSize -> 11]}}, AutoDelete -> False, 
     GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
      GridBoxSpacings -> {"Columns" -> {{0.4}}}], "Grid"]},
  "Labeled",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}, {
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, 
    GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
    BaselinePosition -> {1, 1}]& ),
  InterpretationFunction->(RowBox[{"Labeled", "[", 
     RowBox[{#, ",", #2, ",", "Bottom"}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.5418577725410013`*^9, 3.541857796521798*^9}, 
   3.5418584151318913`*^9, 3.541858596912587*^9, 3.5418586834767723`*^9, 
   3.54185872440246*^9, 3.541858857434243*^9, 3.541870291015005*^9, 
   3.54248753145227*^9, 3.542489938640257*^9, 3.542490949088541*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Timeseries of emails per day", "Section",
 CellChangeTimes->{{3.541795677393577*^9, 3.5417956872009287`*^9}, {
  3.541857301327264*^9, 3.54185730485183*^9}}],

Cell[CellGroupData[{

Cell["Outgoing", "Subsection",
 CellChangeTimes->{{3.541857470090982*^9, 3.5418574708645906`*^9}, {
  3.5424866514002666`*^9, 3.5424866522241373`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"timeseriesperday", "[", "dates_List", "]"}], ":=", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "startdate", ",", "enddate", ",", "plotstartdate", ",", "plotenddate", 
      ",", "fillcolor", ",", "edgecolor", ",", "dailycount", ",", "dailyplot",
       ",", "monthlyaverage", ",", "monthlyplot", ",", "maxdailycount", ",", 
      "maxmonthlycount"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"startdate", ",", "enddate"}], "}"}], "=", 
      RowBox[{
       RowBox[{"Sort", "[", "dates", "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"plotstartdate", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", 
          RowBox[{"#2", "+", "1"}], ",", "1"}], "}"}], "&"}], "@@", 
       RowBox[{"DatePlus", "[", 
        RowBox[{"startdate", ",", 
         RowBox[{"-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"plotenddate", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", 
          RowBox[{"#2", "-", "1"}], ",", "1"}], "}"}], "&"}], "@@", 
       RowBox[{"DatePlus", "[", 
        RowBox[{"enddate", ",", "1"}], "]"}]}]}], ";", 
     RowBox[{"fillcolor", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.9196002136263065`", ",", "0.7993438620584421`", ",", 
        "0.19940489814602885`", ",", "0.5`"}], "]"}]}], ";", 
     RowBox[{"edgecolor", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.8442206454566262`", ",", "0.5068284122987716`", ",", 
        "0.13566796368352788`"}], "]"}]}], ";", 
     RowBox[{"dailycount", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"DatePlus", "[", 
          RowBox[{"startdate", ",", "#"}], "]"}], "&"}], ",", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", 
          RowBox[{"DateDifference", "[", 
           RowBox[{"startdate", ",", "enddate"}], "]"}]}], "]"}]}], "]"}]}], 
     ";", 
     RowBox[{"dailycount", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"Count", "[", 
           RowBox[{"dates", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sequence", "@@", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{";;", "3"}], "]"}], "]"}]}], ",", "__"}], "}"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "dailycount"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"maxdailycount", "=", 
      RowBox[{"Max", "@", 
       RowBox[{"dailycount", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"dailyplot", "=", 
      RowBox[{"DateListPlot", "[", 
       RowBox[{"dailycount", ",", "\[IndentingNewLine]", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Filling", "\[Rule]", "Axis"}], ",", "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", "450"}], ",", "\[IndentingNewLine]", 
        RowBox[{"FrameTicksStyle", "\[Rule]", "Black"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"FrameTicks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"FindDivisions", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"0", ",", "maxdailycount", ",", "1"}], "}"}], ",", 
                 "5"}], "]"}], ",", 
               RowBox[{
                RowBox[{"#", ">", "0"}], "&"}]}], "]"}], ",", "None"}], "}"}],
            ",", 
           RowBox[{"{", 
            RowBox[{"None", ",", "None"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"plotstartdate", ",", "plotenddate"}], "}"}], ",", 
           "All"}], "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotRangePadding", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"Scaled", "[", ".1", "]"}]}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"GridLines", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{"#", ",", "1", ",", "1"}], "}"}], "&"}], "/@", 
            RowBox[{"FindDivisions", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"First", "@", "plotstartdate"}], ",", 
                RowBox[{"First", "@", "plotenddate"}], ",", "1"}], "}"}], ",",
               "5"}], "]"}]}], ",", "None"}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"GridLinesStyle", "\[Rule]", 
         RowBox[{"GrayLevel", "[", "0.87", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"FrameStyle", "\[Rule]", 
         RowBox[{"GrayLevel", "[", "0.75", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"AspectRatio", "\[Rule]", 
         RowBox[{"1", "/", "4"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"FillingStyle", "\[Rule]", "fillcolor"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Directive", "[", 
          RowBox[{
           RowBox[{"Thickness", "[", ".0009", "]"}], ",", "edgecolor"}], 
          "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"ImagePadding", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"13", ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "2"}], "}"}]}], "}"}]}]}], 
       "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"monthlyaverage", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1", ",", 
             RowBox[{";;", "2"}]}], "]"}], "]"}], ",", 
          RowBox[{"Mean", "[", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}]}], "}"}], "&"}], "/@", 
       RowBox[{"GatherBy", "[", 
        RowBox[{"dailycount", ",", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", 
             RowBox[{";;", "2"}]}], "]"}], "]"}], "&"}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"maxmonthlycount", "=", 
      RowBox[{"Max", "@", 
       RowBox[{"monthlyaverage", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"monthlyplot", "=", 
      RowBox[{"DateListPlot", "[", 
       RowBox[{"monthlyaverage", ",", "\[IndentingNewLine]", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
        RowBox[{"FrameStyle", "\[Rule]", 
         RowBox[{"GrayLevel", "[", ".75", "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Filling", "\[Rule]", "Axis"}], ",", "\[IndentingNewLine]", 
        RowBox[{"FrameTicksStyle", "\[Rule]", "Black"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"FrameTicks", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"FindDivisions", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "maxmonthlycount", ",", "1"}], "}"}], ",", 
               "3"}], "]"}], ",", "None"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"{", 
                RowBox[{"#", ",", "1", ",", "1"}], "}"}], "&"}], "/@", 
              RowBox[{"FindDivisions", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"First", "@", "plotstartdate"}], ",", 
                  RowBox[{"First", "@", "plotenddate"}], ",", "1"}], "}"}], 
                ",", "5"}], "]"}]}], ",", "None"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Directive", "[", 
          RowBox[{
           RowBox[{"Thickness", "[", ".002", "]"}], ",", "edgecolor"}], 
          "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"plotstartdate", ",", "plotenddate"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "All"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"FillingStyle", "\[Rule]", "fillcolor"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRangePadding", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"Scaled", "[", ".1", "]"}]}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ImageSize", "\[Rule]", "450"}], ",", "\[IndentingNewLine]", 
        RowBox[{"AspectRatio", "\[Rule]", 
         RowBox[{"1", "/", "9"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"ImagePadding", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"13", ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"13", ",", "0"}], "}"}]}], "}"}]}]}], 
       "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{"dailyplot", ",", "\[IndentingNewLine]", "monthlyplot"}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Spacings", "\[Rule]", "0"}]}], "\[IndentingNewLine]", 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.541858089968711*^9, 3.541858095117157*^9}, {
  3.541858126467189*^9, 3.541858244537999*^9}, {3.5418582811384974`*^9, 
  3.5418582948617487`*^9}, {3.5418590247538557`*^9, 3.5418591254550667`*^9}, {
  3.5418591593305407`*^9, 3.541859243918784*^9}, {3.542490611455093*^9, 
  3.54249061642284*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"timeseriesperday", "[", "sentdates", "]"}]], "Input",
 CellChangeTimes->{{3.5400421704731293`*^9, 3.540042174240572*^9}, {
  3.540088718834132*^9, 3.540088720758692*^9}, {3.541858257769085*^9, 
  3.541858274767593*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxV3WWY1dbehvHBNbiX4A7BHQKDa3AfggwuwR2COwR3CMU9uENwKxC8UCRo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       "], {{{}, 
         {RGBColor[
          0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
          Opacity[0.5], EdgeForm[None], 
          GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwt1VdwVUUYAOAUUqihWCiS0BOaDWIlKCBdR8GR7ggk4JMEdIbecaQkoQUl
odgAQUBAQJQiMNQnpfsgoUNCV0ACCRD8ztz78OXmP//+u3t295xTf3Bmz2FR
ERERR4imjz/96MuQyIiIjxnKRCYzial8zjT6MYD+DCaDdLrzDm8zPlw/gea0
pAUnjXeKAlqJU2lNmTjC7+PwvI5xlBIeUBrORxFJD96nJ39KHeYQwxhOJrV5
hjqM4DM+ZSOb2cQ6NrCeD/TVm140FifThApUoiIpNKMpNcNj1KJhRKimEXGU
J56YcBzLVrazLagPr0szkiNDcQr/KSjmLgmKqlGVo+LjHOMCl7jIuXB8nlvc
4XZMqK4G1YmjPPHMZwG5lGj3gFIeUsYjYsI1sTwWR8aGbqCR+TUJ1oYi169w
mfpyDWlAOzrQnld4jVdp7sC1pAXV1NegOlWoSgKJ2tUjiTa0JY0XaMWLNCGF
5PC1VFqTzhAymM5MZtCLPvRmidv4mqXsZDe7yGcxi/jSPBbyFdvYwfbgzJl3
NFGUpyIViCWeODrQkbd4oOYRD4M9pZi7VPSMVaYSt8O5O4xUM5pR/CE+FJxr
PhIPYiAJaqpRlc7irnThXXrwHp+QSfCAJwRrTVWaRoX2oBnP8jzP0YBGNAz3
151u1OBJnqAVqbTmTdrTjlrUoTb9+ZABtKEtafQN5/oFa2Xe8cRFh+51LGO4
TyklHOYoR9jBTn7nOH9xgkIuU8RmtvALpzjDaXIjQ3u5gC/s6wymM44JjCeL
HLIZyWhGMZHJTAraqM8hm2v6vcF1VvIjq5jIZCYFe+/eOtGR10mjDY1oQmPq
kkRi+Lc+9UjlZV6iOLwu9/ie5SxjJlnMIoc5zGZecM/MZyH55LGatawJrnsG
8snjKS+lmjxNOkPI4JKxiyhkIfnkcUzNCY4zp5zxmMtkualMYYx3wTjGsod9
7CWTEQxnpnZZzCKb2eQQJVeOaE4a4xQFnOEcZ9nPQQ4E/xv7IAfYKd7NLgbr
K4N0roivcZUt2v3Gr3ShG125JFdEYXicC5zngdwjHrLRnDazicf6jXQtgmWs
YDk/sIqV3NDmH25ylvOciw7195gymtOSFrSjA+2JozzxzCKbrGAu0aGxy9gq
3s421pvTz2ygQO40p7jLveAcMV+7BeRyITq0xxe5Tykl4bpgrmf4N3g3cYvF
apayhDwWkR/8yi0J8swjNxiHy3JXucLfFHCSwnKhXBGVzLUKlenozHWmE7XE
dahNGm/QlmvBmnKdRHE9krhun25yg7rqk0iMC61xZEzo4xsjjiOWOeJ5zCWD
oQxhsfqlwfeBZeIVLGcK05gaE3pWagdz5FHwXaQs+B7JpZAc3ItxO9OJ1dZi
LWuC9RTf5hY/idezjj3q97GXu3L3KGYggxnEWMYzLjiHajaziW/4jm/ZxwH2
8z/xA0HW
             "]], PolygonBox[CompressedData["
1:eJwt0kdMFlEQAOBFwXJSUS8qIqiJPQKC3YO9F8Au1oOKNbGcbQdL7AUr6MVe
wBLLwXJRsNcI2GJPLIg1scbvz3L4spvZmXlv572EyXPSZ1cKgmAo0dytHAQP
uM891kUFwUY2sJ5iyY8opYR2itqTRiqH9DjKEQ5H3uUUkM8xssVmMZMZ1Kga
BLHUoia5MUGwh93kxYS9O9GRDiRFh2umkBx5ykkjlXYs13MVK1nBOLEJjCeL
xWqWsZQlfLGn73zjK9vYyQ62M0+PhSxgPqujwpmsZQ1tzSiFZJJItEZTmtCY
RWqWsoTFXNHzKkUUEiunLnWoTW89+tGXPkwlm+lMo5hHlFJSOZxNV7rQmWNV
guA4BeTTlwH0px9DSGcYQ8lgBMPJrKg9xUlO0JI2tKYVzSpiLWjOJnLYwmZ6
VazZh96c5hxnOcNeDrCffcTZcyPiaRgdfjvMIQ6SakYdaE8aE8WmMJlJlPGZ
cj5Rzx2KowH1+Sn2h9/8YoyZZTGOsQyQM5hBDCSeRBJoxEdnUs4nymhgD/E0
JI53MWHOB95zxT9cpYjCyJno0Y2udOGxnGc85QndxXrRkx6RNd2pxiSSQLo9
DieTDK77h1vc5AaxYnWpQ22qqKlONaqyyR5y2MJmrrmDN7nBddrKSSGZJPI5
wXEKGCYnkwzSyRHbzja2spM8ctlFlpyJTGA858UucZELzGIuc5jNSMYwmlE8
V/OKl7zgKz/4zjd+84+//GG6mpnMIDsqrH3LG14H4azucofbXDbzIgojZ8VD
sVJKKOY/mNWlpQ==
             "]], PolygonBox[CompressedData["
1:eJwl0MdNg0EQBtAlGYl0AH7bZKgCDALb0AES6QSYO9RAcKIQUgmkJkgdkA5O
5BsPcXiz0qfVzOxO5HYWt5tDCBFtFJRDypQoMiwfZ4xRRuiIhdBDN110ciN/
4J47bvmQ//DNF5+s67lFjk026G0PIU5EP31/Z1MISRLEiThqCeGMU0445lH+
ygvPPJE2e4F5smRY8tA1VllhmV375Dlgnz3OueaKSy6ouNugTo0qFXMa1KlR
JW+fMiWKFJhkhmlSTFGP/f/NO280mJVnyZBmjkRrCEMMMkCSX1VCNvQ=
             "]], 
            PolygonBox[CompressedData["
1:eJwt0DVOBFAQANBZgwR3VqCgRe/CESgo4RJog1uLNugRcFagRW+CP8IWL/n5
k9G+scnRiWREtFJDMRHxwD0VypQ45IxTTjjmiLraiGaaaKSBet4V/eGbLz75
oF+PEYYZYpABulIRBfLkyNJNi1gnHbTTVp11Su955phlhmm2LXHAPnvsssNj
JuKNV1545omsnF56KJAnx7keN1xzxSUXCMW4/aRGGiPG3/1uPSqUKVHkjgWx
VVZYZonF6t8Wm2ywzlr8F8yQJkWSBL+i6jEE
             "]], 
            PolygonBox[{{324, 330, 329, 328, 327, 326, 325}, {316, 322, 321, 
             320, 319, 318, 317}, {372, 378, 377, 376, 375, 374, 373}, {1626, 
             1632, 1631, 1630, 1629, 1628, 1627}, {348, 354, 353, 352, 351, 
             350, 349}, {807, 813, 812, 811, 810, 809, 808}, {197, 203, 202, 
             201, 200, 199, 198}, {57, 63, 62, 61, 60, 59, 58}, {435, 441, 
             440, 439, 438, 437, 436}}], 
            PolygonBox[{{1673, 1680, 1679, 1678, 1677, 1676, 1675, 1674}, {
             1559, 1566, 1565, 1564, 1563, 1562, 1561, 1560}, {1244, 1251, 
             1250, 1249, 1248, 1247, 1246, 1245}, {47, 54, 53, 52, 51, 50, 49,
              48}, {477, 484, 483, 482, 481, 480, 479, 478}, {449, 456, 455, 
             454, 453, 452, 451, 450}, {86, 93, 92, 91, 90, 89, 88, 87}, {231,
              238, 237, 236, 235, 234, 233, 232}, {309, 316, 315, 314, 313, 
             312, 311, 310}}], 
            PolygonBox[{{1656, 1664, 1663, 1662, 1661, 1660, 1659, 1658, 
             1657}, {96, 104, 103, 102, 101, 100, 99, 98, 97}, {71, 79, 78, 
             77, 76, 75, 74, 73, 72}, {842, 850, 849, 848, 847, 846, 845, 844,
              843}}], 
            PolygonBox[{{1870, 1879, 1878, 1877, 1876, 1875, 1874, 1873, 1872,
              1871}}], 
            PolygonBox[{{1879, 1889, 1888, 1887, 1886, 1885, 1884, 1883, 1882,
              1881, 1880}}], 
            PolygonBox[{{1828, 1839, 1838, 1837, 1836, 1835, 1834, 1833, 1832,
              1831, 1830, 1829}}], 
            PolygonBox[{{883, 895, 894, 893, 892, 891, 890, 889, 888, 887, 
             886, 885, 884}, {158, 170, 169, 168, 167, 166, 165, 164, 163, 
             162, 161, 160, 159}, {415, 427, 426, 425, 424, 423, 422, 421, 
             420, 419, 418, 417, 416}, {1839, 1851, 1850, 1849, 1848, 1847, 
             1846, 1845, 1844, 1843, 1842, 1841, 1840}}], 
            PolygonBox[{{464, 477, 476, 475, 474, 473, 472, 471, 470, 469, 
             468, 467, 466, 465}}]}]}, {}, {}}, {{}, {}, 
         {RGBColor[
          0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
          Thickness[0.0009], LineBox[CompressedData["
1:eJwl2UMQGMgWAMCNbdu2bdu27WRj27Zt27Ztmxsbv1P/0DWHd5yaeUrQsF3F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           "]]}}}],
      AspectRatio->NCache[
        Rational[1, 4], 0.25],
      AxesOrigin->NCache[{3379276800, 0}, {3.3792768*^9, 0}],
      Frame->True,
      FrameStyle->GrayLevel[0.75],
      FrameTicks->{{{{5, 
           FormBox["5", TraditionalForm]}, {10, 
           FormBox["10", TraditionalForm]}, {15, 
           FormBox["15", TraditionalForm]}}, None}, {None, None}},
      FrameTicksStyle->GrayLevel[0],
      GridLines->
       NCache[{{
         3376598400, 3408134400, 3439756800, 3471292800, 3502828800, 
          3534364800}, None}, {{3.3765984*^9, 3.4081344*^9, 3.4397568*^9, 
         3.4712928*^9, 3.5028288*^9, 3.5343648*^9}, None}],
      GridLinesStyle->GrayLevel[0.87],
      ImagePadding->{{13, 2}, {0, 2}},
      ImageSize->450,
      PlotRange->
       NCache[{{3379276800, 3539548800}, All}, {{3.3792768*^9, 3.5395488*^9}, 
         All}],
      PlotRangeClipping->True,
      PlotRangePadding->{{0, 0}, {0, 
         Scaled[0.1]}},
      Ticks->None]},
    {
     GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxVk19IU3EUx6+CYA/hpXoooZhiqJAxezCMQTsmwvJlCAvayyrnQ0g2kiiw
PyOEEhaYmJEa7KEhGNKldCBlDCwx3GJYbMmmmdXW+Vk4RVlIse453Ut3Xxjj
e8/vz+ec8ztl5y62tBVKktSg/uhflXK6CiESJslW1Xsv1yActPVV2Po2j6s+
tOsIQvvYRMzZXkTx3sNHEf5tlcibTRaEY+nhznf1WVovWQChnLVN3l/ThNAt
NxSXdfN6j605b7+1zY7Qc4eUofXLpxwIfN3YN/LKJSfCyxekVfJ2t0uPb5E3
ed0Ia1PZpa61n+QzQ+cR7irJ98Vz7M+0diCol6sEBcx7sxOhkfWb4lHPVYRr
fEAJxf2+6zr/CsWtN27p/FHy8uBt3S8z74QPYfAhaYG8d+Re3nr79ADCFVac
+caHEO63nKwO9M9zfaN+hEA/ffhAvvdHAKEjEbyQCHL+0Z5RhJm9rb7ame9c
z8BT/bw08z0YR4g7qUNcb/n5ZB6P8viVft8G84WmEX6p1VIzZr7kLIKD9Yb5
IpG8eAjnEZYWSRGuZyKex2vOJnW+j9z/3SsI9HoqbM+YT0np8VnmC6/q/Uww
31QGgZ9POsx8C1v6fYvc37ltBHWzesJn5kvlEIIxTpj5CouElu9b5tvcIbT6
K8wnlwgjf7RgjzDW379/n9DyeU3eU39AaO+T+6fEyoV2/zrzbVQKI7/p6yFh
7E8mVyuM/L3rdULjTTHfToswzou5GgQ8GSUJ5ittEvCIyjH8hfnqmoU2H3y+
tcou4BO3h+dBbnQIbT7/8Ht0OQUMdJWenRzh926vdAntfeeY94Rbz4/njedf
+i9DXJL+AjVtsGs=
       "], {{{}, 
         {RGBColor[
          0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
          Opacity[0.5], EdgeForm[None], 
          GraphicsGroupBox[
           PolygonBox[{{1, 65, 66, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54,
             53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 
            37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 
            21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 
            3, 2}}]]}, {}, {}}, {{}, {}, 
         {RGBColor[
          0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
          Thickness[0.002], 
          LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
           18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34,
            35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 
           51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64}]}}}],
      AspectRatio->NCache[
        Rational[1, 9], 0.1111111111111111],
      AxesOrigin->NCache[{3379276800, 0}, {3.3792768*^9, 0}],
      Frame->True,
      FrameStyle->GrayLevel[0.75],
      FrameTicks->{{{{0, 
           FormBox["0", TraditionalForm]}, {2, 
           FormBox["2", TraditionalForm]}, {4, 
           FormBox["4", TraditionalForm]}, {6, 
           FormBox["6", TraditionalForm]}}, None}, {{{
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"2007\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"2008\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"2009\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[3502828800, 3.5028288*^9], 
           FormBox["\"2011\"", TraditionalForm]}, {
           NCache[3534364800, 3.5343648*^9], 
           FormBox["\"2012\"", TraditionalForm]}}, None}},
      FrameTicksStyle->GrayLevel[0],
      GridLines->NCache[{{{3376598400, 
           GrayLevel[0.8]}, {3408134400, 
           GrayLevel[0.8]}, {3439756800, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}, {3502828800, 
           GrayLevel[0.8]}, {3534364800, 
           GrayLevel[0.8]}}, None}, {{{3.3765984*^9, 
           GrayLevel[0.8]}, {3.4081344*^9, 
           GrayLevel[0.8]}, {3.4397568*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}, {3.5028288*^9, 
           GrayLevel[0.8]}, {3.5343648*^9, 
           GrayLevel[0.8]}}, None}],
      ImagePadding->{{13, 2}, {13, 0}},
      ImageSize->450,
      PlotRange->
       NCache[{{3379276800, 3539548800}, {0, All}}, {{3.3792768*^9, 
         3.5395488*^9}, {0, All}}],
      PlotRangeClipping->True,
      PlotRangePadding->{{0, 0}, {0, 
         Scaled[0.1]}},
      Ticks->None]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.541858307033992*^9, 3.5418592612827997`*^9, 
  3.5424875612053213`*^9, 3.54248994816218*^9, 3.5424909516059847`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Incoming", "Subsection",
 CellChangeTimes->{{3.541859374159124*^9, 3.541859375194417*^9}, {
  3.542486638290914*^9, 3.542486647336402*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"timeseriesperday", "[", "incomingdates", "]"}]], "Input",
 CellChangeTimes->{{3.5400421704731293`*^9, 3.540042174240572*^9}, {
  3.540088718834132*^9, 3.540088720758692*^9}, {3.541858257769085*^9, 
  3.541858265254714*^9}}],

Cell[BoxData[
 TagBox[GridBox[{
    {
     GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxVnWWY1PbXhrdI8OIpLgsEdwjuENwhuENwL8EdQnEPTinQ4A7BHYI7BPcS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       "], {{{}, 
         {RGBColor[
          0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
          Opacity[0.5], EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[{{1, 1899, 2}, {1316, 1318, 1317}, {1091, 1093, 
             1092}, {369, 371, 370}, {1235, 1237, 1236}, {542, 544, 543}, {
             1617, 1619, 1618}, {1387, 1389, 1388}, {1065, 1067, 1066}, {1184,
              1186, 1185}, {980, 982, 981}, {987, 989, 988}, {705, 707, 
             706}, {533, 535, 534}, {312, 314, 313}, {385, 387, 386}, {375, 
             377, 376}, {934, 936, 935}, {540, 542, 541}, {260, 262, 261}, {
             1128, 1130, 1129}, {179, 181, 180}, {1155, 1157, 1156}, {269, 
             271, 270}, {1161, 1163, 1162}}], 
            PolygonBox[{{1084, 1087, 1086, 1085}, {1222, 1225, 1224, 1223}, {
             1445, 1448, 1447, 1446}, {111, 114, 113, 112}, {1301, 1304, 1303,
              1302}, {335, 338, 337, 336}, {114, 117, 116, 115}, {371, 374, 
             373, 372}, {1325, 1328, 1327, 1326}, {1322, 1325, 1324, 1323}, {
             1099, 1102, 1101, 1100}, {791, 794, 793, 792}, {1151, 1154, 1153,
              1152}, {1105, 1108, 1107, 1106}, {1120, 1123, 1122, 1121}, {
             1158, 1161, 1160, 1159}, {1102, 1105, 1104, 1103}, {1186, 1189, 
             1188, 1187}}], PolygonBox[CompressedData["
1:eJwl0DdOQ1EQBdD3AzVJSKSGhugAmNThwAoQ9reho8fGQEfqSOtxWglpNRyL
4jSj++Zdzcpl57QdhxDmmOAlCeGDd954ZTIKYZYZppkieJSSEBNR5oQaVSrM
W7rMEosskHHBOS2a7Nl5xCEH7FOnRZOMBjm2KVIgz1kqQ0aDOqt2brLBOmtc
m99xyw1dejqOGDKgT898xJAB/fT/z3HHErvs8Ok2v/zwzRf3ss888cgDQTYl
ISbiSp/uuBMd2mzJFimQJ8cxNapUKPMHdzolBg==
             "]], 
            PolygonBox[CompressedData["
1:eJwV0LdBAgAUBNBvLC1UwNQ4ARhWEJXSEcyFAkYGMLGGcQ8lSI0JFRSdxGfx
qivu/5teLazkeyNiiEH2ByJKHHPEIQe0+iM6tPnkg3fW2GaLTTZY57Iv4o5b
brjmintZnRpVKjyQZp45Zpkhw05PxB5FCuTZ5YQyF5xzxinDOlIkSTDKCE1P
vvHKC888kWKKSSYYZ4wKDR6pU6PKgptyLLPEItn/bXT88kOXb774AyXFLeU=

             "]], PolygonBox[CompressedData["
1:eJwNzzVSAwAQBdDFu6AXoMRngAhwAbygwgtKJKHEL4AfA0mCnAC/Bn4HnFe8
6s/++ds4lxvLlkZEgir6yyJGGWGYIQYZ4FH+zhuvvPDME9vlEYccsM8eu+yQ
qIhooJ46aqmhmk4ypEmRpJsujihSIM8pJxxzVRnxwD133HLDNU0e6qCdNlpp
oZl5e5bJkWWJRRbIc8kF55xRpEBSbx+99JAhTYoVe7bYZIN11lhl3O0sM0wz
xSQTfJRE/PHLD9988ck/15kypw==
             "]], PolygonBox[CompressedData["
1:eJwl0EcyA2AAhuFfjzb2CElIop1ALyHR2w3M6IaN7hREtMPpjqBbeIzFs3sX
33zxpZ2F7eIQQh0RXvnhmy8++eCdN5aLQthikw3WWWOVFcqppYZqqqgkQgVD
JSHkyDLGKBlGGCap6aKTDtppI02K3dIQTjjmiEMO2GePU6645IIC5+Q5o/tv
A4MM0E8fvfQQLQuhlRYSxInRTBN5brjmiksuKHBOxpmTTDBOjixjjDLFIgvM
M8csM0wTt7GNNCmStNJCgvrS/yZGM01EaaSBW1545olHHrjnjl8g7S+o
             "]], 
            PolygonBox[CompressedData["
1:eJwl0UcyBGAQgNHfyGHkEVcye5lTOIKlMMJO5hYyG2HkC8hsZI4gcwqvyuLt
vuqurq7qHeqJR0IIUTJ5TQrhlx+++eKTD955ozklhG666KSDdtpopYUisyqp
oJwySikhRjFVFjfRSAP11FFLDdXc8MIzTzzywD133NKXHMIoIwwzRJxBBugn
qotRTBGFFJBPHrmkRv67HLLJIpMM0klj26wjDjlgnz122SHBvPvXWWOVFZZZ
YpEFjnXXXHHJBeecccoJG7p99thlhwTbbLHJmH/MMcsM00wxyQTj/AEObTe5

             "]], PolygonBox[CompressedData["
1:eJwNzks2AgAYhuH/IMexi3YhCc1cuynmFsAOUG5bUCjtonvZESUx6xk8g++c
b/AmL69LVysRscEmHeOTCWNGDBnQp0eXm0TEM0888sA9NarcccsWWfbZY5cM
O6TZJsXLakSbD1o0eeeNVxrU6azpY8KYEUMG9OnR5WA9okiBPDlOOeGYIw75
8v3njwW/zPlhxpRvchovOKdCmTNKFCmQZwlI6i8r
             "]], 
            PolygonBox[{{1225, 1235, 1234, 1233, 1232, 1231, 1230, 1229, 1228,
              1227, 1226}, {1284, 1294, 1293, 1292, 1291, 1290, 1289, 1288, 
             1287, 1286, 1285}, {776, 786, 785, 784, 783, 782, 781, 780, 779, 
             778, 777}}], 
            PolygonBox[{{1434, 1445, 1444, 1443, 1442, 1441, 1440, 1439, 1438,
              1437, 1436, 1435}, {665, 676, 675, 674, 673, 672, 671, 670, 669,
              668, 667, 666}, {1273, 1284, 1283, 1282, 1281, 1280, 1279, 1278,
              1277, 1276, 1275, 1274}, {1253, 1264, 1263, 1262, 1261, 1260, 
             1259, 1258, 1257, 1256, 1255, 1254}, {345, 356, 355, 354, 353, 
             352, 351, 350, 349, 348, 347, 346}, {1415, 1426, 1425, 1424, 
             1423, 1422, 1421, 1420, 1419, 1418, 1417, 1416}}], 
            PolygonBox[{{994, 1006, 1005, 1004, 1003, 1002, 1001, 1000, 999, 
             998, 997, 996, 995}}], PolygonBox[CompressedData["
1:eJwVzscyA2AUBeAfw4yNd/AcanpBzOg9RLdgqXcPpHc7LRJEeSCfxbc6c+49
jYWVnuXqEEI9DYzXhLDEIgvMM8csM0xTYIpJ8kzQ68gkeSYYZ4xRRhhmiEEG
6KePY90H7rnjlhuuueKSC84545QTHm39osInH7xTpsQbRV554ZknIrUh5Oii
kw6yZEiTIkmCODGiNNXJSZEkQZwYUSK000YrLTSz6ucRhxywzx677LDNFpts
sM7a/+aqEH754ZsvKnzywTtlSrxR5JUo3eToopMOsmRIkyJJgjgx/gCZNj/l

             "]], PolygonBox[CompressedData["
1:eJwVz7VRQAEURcGPW0ABuEMzuENEAdAH7tAI7jCDu7uluEOALMEGLzjz5qbV
NRTXhwZBEEM8W1xwzhmnnHDMEYccsM8eu+ywzXyYmx222WKTDdZZY5UVllli
kQUS9HnkkkM2WWSSQTpppJJCMkkk8q2PCw+CWGKIJopIIggnjFBCCPjV/NBI
P3300kM3XXTSQTtttNJCM03/W0OC4JorLrngnDNOOeGYIw45YJ89bvjikw/e
eeOVF5554pEH7rnjlny/a6mhmioqqaCcMkopoZgiCilgwPw5ZplhmikmmWCc
MUYZYZghBvkD2x5UEQ==
             "]], 
            PolygonBox[{{1035, 1050, 1049, 1048, 1047, 1046, 1045, 1044, 1043,
              1042, 1041, 1040, 1039, 1038, 1037, 1036}, {230, 245, 244, 243, 
             242, 241, 240, 239, 238, 237, 236, 235, 234, 233, 232, 231}, {
             818, 833, 832, 831, 830, 829, 828, 827, 826, 825, 824, 823, 822, 
             821, 820, 819}, {1006, 1021, 1020, 1019, 1018, 1017, 1016, 1015, 
             1014, 1013, 1012, 1011, 1010, 1009, 1008, 1007}}], 
            PolygonBox[{{1371, 1387, 1386, 1385, 1384, 1383, 1382, 1381, 1380,
              1379, 1378, 1377, 1376, 1375, 1374, 1373, 1372}, {676, 692, 691,
              690, 689, 688, 687, 686, 685, 684, 683, 682, 681, 680, 679, 678,
              677}}], 
            PolygonBox[{{2, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 
             6, 5, 4, 3}, {559, 576, 575, 574, 573, 572, 571, 570, 569, 568, 
             567, 566, 565, 564, 563, 562, 561, 560}}], 
            PolygonBox[{{275, 293, 292, 291, 290, 289, 288, 287, 286, 285, 
             284, 283, 282, 281, 280, 279, 278, 277, 276}}], 
            PolygonBox[{{882, 901, 900, 899, 898, 897, 896, 895, 894, 893, 
             892, 891, 890, 889, 888, 887, 886, 885, 884, 883}}], 
            PolygonBox[{{392, 412, 411, 410, 409, 408, 407, 406, 405, 404, 
             403, 402, 401, 400, 399, 398, 397, 396, 395, 394, 393}, {412, 
             432, 431, 430, 429, 428, 427, 426, 425, 424, 423, 422, 421, 420, 
             419, 418, 417, 416, 415, 414, 413}}], 
            PolygonBox[{{1735, 1756, 1755, 1754, 1753, 1752, 1751, 1750, 1749,
              1748, 1747, 1746, 1745, 1744, 1743, 1742, 1741, 1740, 1739, 
             1738, 1737, 1736}}], 
            PolygonBox[{{727, 749, 748, 747, 746, 745, 744, 743, 742, 741, 
             740, 739, 738, 737, 736, 735, 734, 733, 732, 731, 730, 729, 
             728}}], PolygonBox[{{1526, 1549, 1548, 1547, 1546, 1545, 1544, 
             1543, 1542, 1541, 1540, 1539, 1538, 1537, 1536, 1535, 1534, 1533,
              1532, 1531, 1530, 1529, 1528, 1527}, {432, 455, 454, 453, 452, 
             451, 450, 449, 448, 447, 446, 445, 444, 443, 442, 441, 440, 439, 
             438, 437, 436, 435, 434, 433}}], 
            PolygonBox[{{794, 818, 817, 816, 815, 814, 813, 812, 811, 810, 
             809, 808, 807, 806, 805, 804, 803, 802, 801, 800, 799, 798, 797, 
             796, 795}}], 
            PolygonBox[{{749, 776, 775, 774, 773, 772, 771, 770, 769, 768, 
             767, 766, 765, 764, 763, 762, 761, 760, 759, 758, 757, 756, 755, 
             754, 753, 752, 751, 750}}], 
            PolygonBox[{{1693, 1729, 1728, 1727, 1726, 1725, 1724, 1723, 1722,
              1721, 1720, 1719, 1718, 1717, 1716, 1715, 1714, 1713, 1712, 
             1711, 1710, 1709, 1708, 1707, 1706, 1705, 1704, 1703, 1702, 1701,
              1700, 1699, 1698, 1697, 1696, 1695, 1694}}], 
            PolygonBox[{{1549, 1589, 1588, 1587, 1586, 1585, 1584, 1583, 1582,
              1581, 1580, 1579, 1578, 1577, 1576, 1575, 1574, 1573, 1572, 
             1571, 1570, 1569, 1568, 1567, 1566, 1565, 1564, 1563, 1562, 1561,
              1560, 1559, 1558, 1557, 1556, 1555, 1554, 1553, 1552, 1551, 
             1550}}], 
            PolygonBox[{{133, 179, 178, 177, 176, 175, 174, 173, 172, 171, 
             170, 169, 168, 167, 166, 165, 164, 163, 162, 161, 160, 159, 158, 
             157, 156, 155, 154, 153, 152, 151, 150, 149, 148, 147, 146, 145, 
             144, 143, 142, 141, 140, 139, 138, 137, 136, 135, 134}}], 
            PolygonBox[{{608, 665, 664, 663, 662, 661, 660, 659, 658, 657, 
             656, 655, 654, 653, 652, 651, 650, 649, 648, 647, 646, 645, 644, 
             643, 642, 641, 640, 639, 638, 637, 636, 635, 634, 633, 632, 631, 
             630, 629, 628, 627, 626, 625, 624, 623, 622, 621, 620, 619, 618, 
             617, 616, 615, 614, 613, 612, 611, 610, 609}}], 
            PolygonBox[{{41, 111, 110, 109, 108, 107, 106, 105, 104, 103, 102,
              101, 100, 99, 98, 97, 96, 95, 94, 93, 92, 91, 90, 89, 88, 87, 
             86, 85, 84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 
             70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 
             54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42}}], 
            PolygonBox[{{1455, 1526, 1525, 1524, 1523, 1522, 1521, 1520, 1519,
              1518, 1517, 1516, 1515, 1514, 1513, 1512, 1511, 1510, 1509, 
             1508, 1507, 1506, 1505, 1504, 1503, 1502, 1501, 1500, 1499, 1498,
              1497, 1496, 1495, 1494, 1493, 1492, 1491, 1490, 1489, 1488, 
             1487, 1486, 1485, 1484, 1483, 1482, 1481, 1480, 1479, 1478, 1477,
              1476, 1475, 1474, 1473, 1472, 1471, 1470, 1469, 1468, 1467, 
             1466, 1465, 1464, 1463, 1462, 1461, 1460, 1459, 1458, 1457, 
             1456}}], 
            PolygonBox[{{1619, 1693, 1692, 1691, 1690, 1689, 1688, 1687, 1686,
              1685, 1684, 1683, 1682, 1681, 1680, 1679, 1678, 1677, 1676, 
             1675, 1674, 1673, 1672, 1671, 1670, 1669, 1668, 1667, 1666, 1665,
              1664, 1663, 1662, 1661, 1660, 1659, 1658, 1657, 1656, 1655, 
             1654, 1653, 1652, 1651, 1650, 1649, 1648, 1647, 1646, 1645, 1644,
              1643, 1642, 1641, 1640, 1639, 1638, 1637, 1636, 1635, 1634, 
             1633, 1632, 1631, 1630, 1629, 1628, 1627, 1626, 1625, 1624, 1623,
              1622, 1621, 1620}}], PolygonBox[CompressedData["
1:eJwN0fdaDXAAANDfbd2KJrLTbQrJFk1to+FqoFKu7evLq3jArIY0jKLS7vxx
nuDEEh/iE0khhAgfmUwLYTwawnve8ZY3vOYVL3lBgueMMcozRhhmiKc84TGD
DNBPH4+I85Beeuimiwfc5x536aSDdtpopYVm7tBEIw3UU0ctt7lFDTe5wXWu
cZUrXOYS1Vykiguc5xyVnKWCcsoopYRiYhRxhkJOc4qTnOA4xzhKAUc4zCHy
ySOXHLLJ4iAHyCSDdKKkkUoKySQRIbDnbJcdttlikw3+s84aq/zjLyss84ff
/OInSyyywDw/mOM7s8wwzRTf+MoXPvOJfepTPgs=
             
             "]]}]}, {}, {}}, {{}, {}, 
         {RGBColor[
          0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
          Thickness[0.0009], LineBox[CompressedData["
1:eJwl2UMQIEgSAMAd27Zt27Zt27Zt27tj27Zt2zYvJ+6R0Y96dnSXEjRsV7Ft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           "]]}}}],
      AspectRatio->NCache[
        Rational[1, 4], 0.25],
      AxesOrigin->NCache[{3379276800, 0}, {3.3792768*^9, 0}],
      Frame->True,
      FrameStyle->GrayLevel[0.75],
      FrameTicks->{{{{5, 
           FormBox["5", TraditionalForm]}, {10, 
           FormBox["10", TraditionalForm]}, {15, 
           FormBox["15", TraditionalForm]}, {20, 
           FormBox["20", TraditionalForm]}, {25, 
           FormBox["25", TraditionalForm]}}, None}, {None, None}},
      FrameTicksStyle->GrayLevel[0],
      GridLines->
       NCache[{{
         3376598400, 3408134400, 3439756800, 3471292800, 3502828800, 
          3534364800}, None}, {{3.3765984*^9, 3.4081344*^9, 3.4397568*^9, 
         3.4712928*^9, 3.5028288*^9, 3.5343648*^9}, None}],
      GridLinesStyle->GrayLevel[0.87],
      ImagePadding->{{13, 2}, {0, 2}},
      ImageSize->450,
      PlotRange->
       NCache[{{3379276800, 3539548800}, All}, {{3.3792768*^9, 3.5395488*^9}, 
         All}],
      PlotRangeClipping->True,
      PlotRangePadding->{{0, 0}, {0, 
         Scaled[0.1]}},
      Ticks->None]},
    {
     GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxVU19I01EU/rmytL9bGjnJcpZMIWP2YBiDdkyE6YssFLKHzZxBSCVZFNgf
CSECH0zKSHvYQ8MIokFaSCkDQYJSRg9GzFZEGOcWuaLSfMh2Pndp+9j48XHu
Oee753zXduy0p9VkGEZV4i/fBEJHSpiOA7muBO86V8YUfXIy8bMID2/Zx3Rx
fmwh1rlTeO/e/UzngQLhjkIn09G2hyMzTduEG05iir0TbBUeKKthWmm1XXi7
u46pKsvWba5CP1drvY6bhX9obGCqLQ3e9NRmCA+daWKqBgzh9X4v03Tl57sd
04gXdvmZLChoEh4fPMGU3zw6ZOlfJdzXcooJ8toyofdKB1MRgH6R9gs6vqK3
5xLTwB0B6rsuX2U6i4Z/D4rIgWtMoj7Lthp6R3qYnj8TrMf8hm7o82ugd6I/
LR4fHmRCejfuE44EmG555MbQ3/s1qOexAfquP2B63ykLQH4g+EjPNxv6bg/r
/HXCzY9H9f3QP3RvnGkyr6WnfDIL+sIT6fpmX6Trm5piWoxJQ8TD/Dqtny/6
Jk2/Y2FW11+U+Rg5H5mein2iv4W7QnN6n38wv1dftH+WhYfG4kyHcWBJeNfb
X9qPmHfhyyV9f+wzPres9496YVOmIguAffl+ZqvU/TjMm1WqfyIZuYogpxR+
CBRYFR2QcpVr4c/KHYqK3X273X3wR2imSCX752B+P+wqOd9N8N+nPYpQLoh9
xZfLFc1/E2Afvd8rFI0vyECR79voVMn55UFfKamk3xCP5Nck8uW5zVuhr6JO
pb5PV0m9IquMOw/nzdUNKvk+bfCjt0nRfUt/Z36zHfu1e3X/Yug95FdJf+3C
/eT9G/+REjeMfzDtf1E=
       "], {{{}, 
         {RGBColor[
          0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
          Opacity[0.5], EdgeForm[None], 
          GraphicsGroupBox[
           PolygonBox[{{1, 65, 66, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54,
             53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 
            37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 
            21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 
            3, 2}}]]}, {}, {}}, {{}, {}, 
         {RGBColor[
          0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
          Thickness[0.002], 
          LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
           18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34,
            35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 
           51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64}]}}}],
      AspectRatio->NCache[
        Rational[1, 9], 0.1111111111111111],
      AxesOrigin->NCache[{3379276800, 0}, {3.3792768*^9, 0}],
      Frame->True,
      FrameStyle->GrayLevel[0.75],
      FrameTicks->{{{{0, 
           FormBox["0", TraditionalForm]}, {5, 
           FormBox["5", TraditionalForm]}, {10, 
           FormBox["10", TraditionalForm]}, {15, 
           FormBox["15", TraditionalForm]}}, None}, {{{
           NCache[3376598400, 3.3765984*^9], 
           FormBox["\"2007\"", TraditionalForm]}, {
           NCache[3408134400, 3.4081344*^9], 
           FormBox["\"2008\"", TraditionalForm]}, {
           NCache[3439756800, 3.4397568*^9], 
           FormBox["\"2009\"", TraditionalForm]}, {
           NCache[3471292800, 3.4712928*^9], 
           FormBox["\"2010\"", TraditionalForm]}, {
           NCache[3502828800, 3.5028288*^9], 
           FormBox["\"2011\"", TraditionalForm]}, {
           NCache[3534364800, 3.5343648*^9], 
           FormBox["\"2012\"", TraditionalForm]}}, None}},
      FrameTicksStyle->GrayLevel[0],
      GridLines->NCache[{{{3376598400, 
           GrayLevel[0.8]}, {3408134400, 
           GrayLevel[0.8]}, {3439756800, 
           GrayLevel[0.8]}, {3471292800, 
           GrayLevel[0.8]}, {3502828800, 
           GrayLevel[0.8]}, {3534364800, 
           GrayLevel[0.8]}}, None}, {{{3.3765984*^9, 
           GrayLevel[0.8]}, {3.4081344*^9, 
           GrayLevel[0.8]}, {3.4397568*^9, 
           GrayLevel[0.8]}, {3.4712928*^9, 
           GrayLevel[0.8]}, {3.5028288*^9, 
           GrayLevel[0.8]}, {3.5343648*^9, 
           GrayLevel[0.8]}}, None}],
      ImagePadding->{{13, 2}, {13, 0}},
      ImageSize->450,
      PlotRange->
       NCache[{{3379276800, 3539548800}, {0, All}}, {{3.3792768*^9, 
         3.5395488*^9}, {0, All}}],
      PlotRangeClipping->True,
      PlotRangePadding->{{0, 0}, {0, 
         Scaled[0.1]}},
      Ticks->None]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{0}}}],
  "Column"]], "Output",
 CellChangeTimes->{
  3.5417954792079*^9, {3.541795536501498*^9, 3.5417955713963013`*^9}, 
   3.541796739647841*^9, {3.54179678504582*^9, 3.5417968061277933`*^9}, {
   3.541796867661545*^9, 3.541796897342122*^9}, {3.541796939932905*^9, 
   3.5417969625816402`*^9}, {3.541797049888706*^9, 3.541797070421253*^9}, 
   3.541857351102404*^9, 3.541857507240217*^9, 3.541858269770978*^9, 
   3.5418583045743847`*^9, 3.541859204981632*^9, 3.5418592528583937`*^9, 
   3.542487565720454*^9, 3.54248995271439*^9, 3.5424909560628767`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Daily distribution", "Section",
 CellChangeTimes->{{3.541795749168887*^9, 3.54179575281485*^9}, {
  3.541857371239868*^9, 3.541857372401523*^9}, {3.541862885527775*^9, 
  3.541862885962446*^9}}],

Cell[CellGroupData[{

Cell["Outgoing", "Subsection",
 CellChangeTimes->{{3.541862891852129*^9, 3.54186289308722*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dailydistribution", "[", "dates_List", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "timeofday", ",", "timeofdaycounts", ",", "xticks", ",", "fillcolor", 
      ",", "edgecolor"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fillcolor", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.9196002136263065`", ",", "0.7993438620584421`", ",", 
        "0.19940489814602885`", ",", "0.5`"}], "]"}]}], ";", 
     RowBox[{"edgecolor", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.8442206454566262`", ",", "0.5068284122987716`", ",", 
        "0.13566796368352788`"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"timeofday", "=", 
      RowBox[{"dates", "[", 
       RowBox[{"[", 
        RowBox[{"All", ",", 
         RowBox[{"4", ";;"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"timeofday", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Dot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3600.", ",", "60.", ",", "1."}], "}"}], ",", "#"}], "]"}],
         "&"}], "/@", "timeofday"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"timeofday", "=", 
      RowBox[{"Floor", "[", 
       RowBox[{"timeofday", "/", 
        RowBox[{"(", 
         RowBox[{"60", "*", "5"}], ")"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"timeofdaycounts", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Count", "[", 
         RowBox[{"timeofday", ",", "#"}], "]"}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"24", "*", "12"}], "-", "1"}]}], "]"}]}]}], ";", 
     RowBox[{"xticks", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"EvenQ", "[", 
             RowBox[{"Quotient", "[", 
              RowBox[{"#", ",", "12"}], "]"}], "]"}], ",", 
            RowBox[{"DateString", "[", 
             RowBox[{
              RowBox[{"3600", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"Quotient", "[", 
                  RowBox[{"#", ",", "12"}], "]"}], "+", "6"}], ")"}]}], ",", 
              RowBox[{"{", 
               RowBox[{
               "\"\<Hour12Short\>\"", ",", "\"\< \>\"", ",", "\"\<AMPM\>\""}],
                "}"}]}], "]"}], ",", "\"\<\>\""}], "]"}]}], "}"}], "&"}], "/@", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", 
         RowBox[{"12", "*", "24"}], ",", "24"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"BarChart", "[", 
      RowBox[{
       RowBox[{"RotateLeft", "[", 
        RowBox[{"timeofdaycounts", ",", 
         RowBox[{"6", "*", "12"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"AspectRatio", "\[Rule]", 
        RowBox[{"1", "/", "5"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
       RowBox[{"FrameTicks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"None", ",", "None"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"xticks", ",", "None"}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"FrameTicksStyle", "\[Rule]", "Black"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"GridLines", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"24", ",", 
            RowBox[{"11", "*", "24"}], ",", "24"}], "]"}], ",", "None"}], 
         "}"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"GridLinesStyle", "\[Rule]", 
        RowBox[{"GrayLevel", "[", "0.87", "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "288"}], "}"}], ",", "All"}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", 
       RowBox[{"BarSpacing", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRangePadding", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Scaled", "[", ".15", "]"}]}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ChartStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"EdgeForm", "[", "edgecolor", "]"}], ",", "fillcolor"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Speed\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}], ",", "\[IndentingNewLine]", 
       RowBox[{"FrameStyle", "\[Rule]", 
        RowBox[{"GrayLevel", "[", "0.75", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.5417959906428423`*^9, 3.5417960156791353`*^9}, 
   3.5417962937534227`*^9, {3.5417970943126698`*^9, 3.541797095861795*^9}, {
   3.5418627101304007`*^9, 3.541862807598219*^9}, {3.5419858284580727`*^9, 
   3.541985835626391*^9}, 3.542490623676571*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dailydistribution", "[", "sentdates", "]"}]], "Input",
 CellChangeTimes->{{3.541862809999633*^9, 3.541862814925384*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], PointBox[{}]}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
     EdgeForm[Opacity[0.7]], {}, {}, {}, {}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{6.5, 0.},
       RoundingRadius->0]}, {}, {}, {}, {}, {}, {}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{15.5, 0.}, {16.5, 2.},
       RoundingRadius->0]}, {}, {}, {}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{21.5, 0.}, {22.5, 2.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{23.5, 0.},
       RoundingRadius->0]}, {}, {}, {}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{29.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{30.5, 0.}, {31.5, 3.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{32.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{33.5, 0.}, {34.5, 3.},
       RoundingRadius->0]}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{36.5, 0.}, {37.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{37.5, 0.}, {38.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{38.5, 0.}, {39.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{39.5, 0.}, {40.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{40.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{41.5, 0.}, {42.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{42.5, 0.}, {43.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{43.5, 0.}, {44.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{44.5, 0.}, {45.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{45.5, 0.}, {46.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{46.5, 0.}, {47.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{47.5, 0.}, {48.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{48.5, 0.}, {49.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{49.5, 0.}, {50.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{50.5, 0.}, {51.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{51.5, 0.}, {52.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{52.5, 0.}, {53.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{53.5, 0.}, {54.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{54.5, 0.}, {55.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{55.5, 0.}, {56.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{56.5, 0.}, {57.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{57.5, 0.}, {58.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{58.5, 0.}, {59.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{59.5, 0.}, {60.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{60.5, 0.}, {61.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{61.5, 0.}, {62.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{62.5, 0.}, {63.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{63.5, 0.}, {64.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{64.5, 0.}, {65.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{65.5, 0.}, {66.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{66.5, 0.}, {67.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{67.5, 0.}, {68.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{68.5, 0.}, {69.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{69.5, 0.}, {70.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{70.5, 0.}, {71.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{71.5, 0.}, {72.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{72.5, 0.}, {73.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{73.5, 0.}, {74.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{74.5, 0.}, {75.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{75.5, 0.}, {76.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{76.5, 0.}, {77.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{77.5, 0.}, {78.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{78.5, 0.}, {79.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{79.5, 0.}, {80.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{80.5, 0.}, {81.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{81.5, 0.}, {82.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{82.5, 0.}, {83.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{83.5, 0.}, {84.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{84.5, 0.}, {85.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{85.5, 0.}, {86.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{86.5, 0.}, {87.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{87.5, 0.}, {88.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{88.5, 0.}, {89.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{89.5, 0.}, {90.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{90.5, 0.}, {91.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{91.5, 0.}, {92.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{92.5, 0.}, {93.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{93.5, 0.}, {94.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{94.5, 0.}, {95.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{95.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{96.5, 0.}, {97.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{97.5, 0.}, {98.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{98.5, 0.}, {99.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{99.5, 0.}, {100.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{100.5, 0.}, {101.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{101.5, 0.}, {102.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{102.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{103.5, 0.}, {104.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{104.5, 0.}, {105.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{105.5, 0.}, {106.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{106.5, 0.}, {107.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{107.5, 0.}, {108.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{108.5, 0.}, {109.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{109.5, 0.}, {110.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{110.5, 0.}, {111.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{111.5, 0.}, {112.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{112.5, 0.}, {113.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{113.5, 0.}, {114.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{114.5, 0.}, {115.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{115.5, 0.}, {116.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{116.5, 0.}, {117.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{117.5, 0.}, {118.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{118.5, 0.}, {119.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{119.5, 0.}, {120.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{120.5, 0.}, {121.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{121.5, 0.}, {122.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{122.5, 0.}, {123.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{123.5, 0.}, {124.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{124.5, 0.}, {125.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{125.5, 0.}, {126.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{126.5, 0.}, {127.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{127.5, 0.}, {128.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{128.5, 0.}, {129.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{129.5, 0.}, {130.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{130.5, 0.}, {131.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{131.5, 0.}, {132.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{132.5, 0.}, {133.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{133.5, 0.}, {134.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{134.5, 0.}, {135.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{135.5, 0.}, {136.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{136.5, 0.}, {137.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{137.5, 0.}, {138.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{138.5, 0.}, {139.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{139.5, 0.}, {140.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{140.5, 0.}, {141.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{141.5, 0.}, {142.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{142.5, 0.}, {143.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{143.5, 0.}, {144.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{144.5, 0.}, {145.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{145.5, 0.}, {146.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{146.5, 0.}, {147.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{147.5, 0.}, {148.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{148.5, 0.}, {149.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{149.5, 0.}, {150.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{150.5, 0.}, {151.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{151.5, 0.}, {152.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{152.5, 0.}, {153.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{153.5, 0.}, {154.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{154.5, 0.}, {155.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{155.5, 0.}, {156.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{156.5, 0.}, {157.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{157.5, 0.}, {158.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{158.5, 0.}, {159.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{159.5, 0.}, {160.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{160.5, 0.}, {161.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{161.5, 0.}, {162.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{162.5, 0.}, {163.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{163.5, 0.}, {164.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{164.5, 0.}, {165.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{165.5, 0.}, {166.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{166.5, 0.}, {167.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{167.5, 0.}, {168.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{168.5, 0.}, {169.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{169.5, 0.}, {170.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{170.5, 0.}, {171.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{171.5, 0.}, {172.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{172.5, 0.}, {173.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{173.5, 0.}, {174.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{174.5, 0.}, {175.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{175.5, 0.}, {176.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{176.5, 0.}, {177.5, 14.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{177.5, 0.}, {178.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{178.5, 0.}, {179.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{179.5, 0.}, {180.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{180.5, 0.}, {181.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{181.5, 0.}, {182.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{182.5, 0.}, {183.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{183.5, 0.}, {184.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{184.5, 0.}, {185.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{185.5, 0.}, {186.5, 16.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{186.5, 0.}, {187.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{187.5, 0.}, {188.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{188.5, 0.}, {189.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{189.5, 0.}, {190.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{190.5, 0.}, {191.5, 16.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{191.5, 0.}, {192.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{192.5, 0.}, {193.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{193.5, 0.}, {194.5, 15.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{194.5, 0.}, {195.5, 14.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{195.5, 0.}, {196.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{196.5, 0.}, {197.5, 20.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{197.5, 0.}, {198.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{198.5, 0.}, {199.5, 21.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{199.5, 0.}, {200.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{200.5, 0.}, {201.5, 21.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{201.5, 0.}, {202.5, 20.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{202.5, 0.}, {203.5, 16.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{203.5, 0.}, {204.5, 20.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{204.5, 0.}, {205.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{205.5, 0.}, {206.5, 19.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{206.5, 0.}, {207.5, 24.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{207.5, 0.}, {208.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{208.5, 0.}, {209.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{209.5, 0.}, {210.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{210.5, 0.}, {211.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{211.5, 0.}, {212.5, 19.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{212.5, 0.}, {213.5, 14.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{213.5, 0.}, {214.5, 16.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{214.5, 0.}, {215.5, 24.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{215.5, 0.}, {216.5, 17.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{216.5, 0.}, {217.5, 17.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{217.5, 0.}, {218.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{218.5, 0.}, {219.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{219.5, 0.}, {220.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{220.5, 0.}, {221.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{221.5, 0.}, {222.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{222.5, 0.}, {223.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{223.5, 0.}, {224.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{224.5, 0.}, {225.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{225.5, 0.}, {226.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{226.5, 0.}, {227.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{227.5, 0.}, {228.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{228.5, 0.}, {229.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{229.5, 0.}, {230.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{230.5, 0.}, {231.5, 4.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{232.5, 0.}, {233.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{233.5, 0.}, {234.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{234.5, 0.}, {235.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{235.5, 0.}, {236.5, 7.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{237.5, 0.}, {238.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{238.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{239.5, 0.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{241.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{242.5, 0.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{244.5, 0.}, {245.5, 2.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{246.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{247.5, 0.},
       RoundingRadius->0]}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{250.5, 0.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{252.5, 0.},
       RoundingRadius->0]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{262.5, 0.},
       RoundingRadius->0]}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{273.5, 0.}, {274.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{274.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{275.5, 0.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{277.5, 0.},
       RoundingRadius->0]}, {}, {}, {}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{282.5, 0.}, {283.5, 2.},
       RoundingRadius->0]}, {}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{284.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{285.5, 0.}, {286.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{286.5, 0.},
       RoundingRadius->
        0]}, {}}, {}, {}}, {}, {{{{{}, {}, {}, {}, {}, {}, {{}, {}}, {}, {}, \
{}, {}, {}, {}, {}, {}, {{}, {}}, {}, {}, {}, {}, {}, {{}, {}}, {}, {{}, {}}, \
{}, {}, {}, {}, {}, {{}, {}}, {{}, {}}, {}, {{}, {}}, {{}, {}}, {}, {}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {}, {{}, {}}, {{}, {}}, {{}, {}}, {}, \
{{}, {}}, {{}, {}}, {}, {{}, {}}, {}, {{}, {}}, {{}, {}}, {}, {}, {{}, {}}, \
{}, {{}, {}}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {{}, {}}, {}, {}, {}, {}, \
{}, {}, {}, {}, {}, {}, {{}, {}}, {{}, {}}, {{}, {}}, {}, {{}, {}}, {}, {}, \
{}, {}, {{}, {}}, {}, {{}, {}}, {{}, {}}, {{}, {}}, {}}, {}}, {}}, {}}, 
   GraphicsGroupBox[
    {GrayLevel[0], 
     StyleBox[{},
      Antialiasing->False]}]},
  AspectRatio->NCache[
    Rational[1, 5], 0.2],
  Axes->{True, True},
  AxesOrigin->{0.5, 0},
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{None, None}, {{{0, 
       FormBox["\"6 AM\"", TraditionalForm]}, {24, 
       FormBox["\"8 AM\"", TraditionalForm]}, {48, 
       FormBox["\"10 AM\"", TraditionalForm]}, {72, 
       FormBox["\"12 PM\"", TraditionalForm]}, {96, 
       FormBox["\"2 PM\"", TraditionalForm]}, {120, 
       FormBox["\"4 PM\"", TraditionalForm]}, {144, 
       FormBox["\"6 PM\"", TraditionalForm]}, {168, 
       FormBox["\"8 PM\"", TraditionalForm]}, {192, 
       FormBox["\"10 PM\"", TraditionalForm]}, {216, 
       FormBox["\"12 AM\"", TraditionalForm]}, {240, 
       FormBox["\"2 AM\"", TraditionalForm]}, {264, 
       FormBox["\"4 AM\"", TraditionalForm]}, {288, 
       FormBox["\"6 AM\"", TraditionalForm]}}, None}},
  FrameTicksStyle->GrayLevel[0],
  GridLines->{{24, 48, 72, 96, 120, 144, 168, 192, 216, 240, 264}, None},
  GridLinesStyle->GrayLevel[0.87],
  ImageSize->450,
  PlotRange->{{1, 288}, All},
  PlotRangePadding->{{1, 0}, {0, 
     Scaled[0.15]}},
  Ticks->{None, None}]], "Output",
 CellChangeTimes->{3.5418628158266077`*^9, 3.542487592035149*^9, 
  3.5424899596331987`*^9, 3.5424909566760197`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Incoming", "Subsection",
 CellChangeTimes->{{3.541862896637217*^9, 3.5418628973251047`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dailydistribution", "[", "incomingdates", "]"}]], "Input",
 CellChangeTimes->{{3.541862809999633*^9, 3.541862822376131*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], PointBox[{}]}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
     EdgeForm[Opacity[0.7]], 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{0.5, 0.}, {1.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{1.5, 0.}, {2.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{2.5, 0.}, {3.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{3.5, 0.}, {4.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{4.5, 0.}, {5.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{5.5, 0.}, {6.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{6.5, 0.}, {7.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{7.5, 0.}, {8.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{8.5, 0.}, {9.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{9.5, 0.}, {10.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{10.5, 0.}, {11.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{11.5, 0.}, {12.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{12.5, 0.}, {13.5, 16.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{13.5, 0.}, {14.5, 17.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{14.5, 0.}, {15.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{15.5, 0.}, {16.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{16.5, 0.}, {17.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{17.5, 0.}, {18.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{18.5, 0.}, {19.5, 16.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{19.5, 0.}, {20.5, 15.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{20.5, 0.}, {21.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{21.5, 0.}, {22.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{22.5, 0.}, {23.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{23.5, 0.}, {24.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{24.5, 0.}, {25.5, 70.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{25.5, 0.}, {26.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{26.5, 0.}, {27.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{27.5, 0.}, {28.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{28.5, 0.}, {29.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{29.5, 0.}, {30.5, 15.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{30.5, 0.}, {31.5, 20.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{31.5, 0.}, {32.5, 20.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{32.5, 0.}, {33.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{33.5, 0.}, {34.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{34.5, 0.}, {35.5, 17.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{35.5, 0.}, {36.5, 24.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{36.5, 0.}, {37.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{37.5, 0.}, {38.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{38.5, 0.}, {39.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{39.5, 0.}, {40.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{40.5, 0.}, {41.5, 35.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{41.5, 0.}, {42.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{42.5, 0.}, {43.5, 17.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{43.5, 0.}, {44.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{44.5, 0.}, {45.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{45.5, 0.}, {46.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{46.5, 0.}, {47.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{47.5, 0.}, {48.5, 20.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{48.5, 0.}, {49.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{49.5, 0.}, {50.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{50.5, 0.}, {51.5, 27.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{51.5, 0.}, {52.5, 36.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{52.5, 0.}, {53.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{53.5, 0.}, {54.5, 37.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{54.5, 0.}, {55.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{55.5, 0.}, {56.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{56.5, 0.}, {57.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{57.5, 0.}, {58.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{58.5, 0.}, {59.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{59.5, 0.}, {60.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{60.5, 0.}, {61.5, 46.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{61.5, 0.}, {62.5, 37.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{62.5, 0.}, {63.5, 42.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{63.5, 0.}, {64.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{64.5, 0.}, {65.5, 38.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{65.5, 0.}, {66.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{66.5, 0.}, {67.5, 36.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{67.5, 0.}, {68.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{68.5, 0.}, {69.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{69.5, 0.}, {70.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{70.5, 0.}, {71.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{71.5, 0.}, {72.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{72.5, 0.}, {73.5, 40.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{73.5, 0.}, {74.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{74.5, 0.}, {75.5, 37.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{75.5, 0.}, {76.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{76.5, 0.}, {77.5, 43.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{77.5, 0.}, {78.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{78.5, 0.}, {79.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{79.5, 0.}, {80.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{80.5, 0.}, {81.5, 42.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{81.5, 0.}, {82.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{82.5, 0.}, {83.5, 43.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{83.5, 0.}, {84.5, 38.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{84.5, 0.}, {85.5, 42.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{85.5, 0.}, {86.5, 45.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{86.5, 0.}, {87.5, 29.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{87.5, 0.}, {88.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{88.5, 0.}, {89.5, 37.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{89.5, 0.}, {90.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{90.5, 0.}, {91.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{91.5, 0.}, {92.5, 40.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{92.5, 0.}, {93.5, 35.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{93.5, 0.}, {94.5, 38.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{94.5, 0.}, {95.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{95.5, 0.}, {96.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{96.5, 0.}, {97.5, 42.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{97.5, 0.}, {98.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{98.5, 0.}, {99.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{99.5, 0.}, {100.5, 40.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{100.5, 0.}, {101.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{101.5, 0.}, {102.5, 29.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{102.5, 0.}, {103.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{103.5, 0.}, {104.5, 38.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{104.5, 0.}, {105.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{105.5, 0.}, {106.5, 36.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{106.5, 0.}, {107.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{107.5, 0.}, {108.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{108.5, 0.}, {109.5, 35.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{109.5, 0.}, {110.5, 37.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{110.5, 0.}, {111.5, 36.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{111.5, 0.}, {112.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{112.5, 0.}, {113.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{113.5, 0.}, {114.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{114.5, 0.}, {115.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{115.5, 0.}, {116.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{116.5, 0.}, {117.5, 43.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{117.5, 0.}, {118.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{118.5, 0.}, {119.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{119.5, 0.}, {120.5, 29.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{120.5, 0.}, {121.5, 36.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{121.5, 0.}, {122.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{122.5, 0.}, {123.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{123.5, 0.}, {124.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{124.5, 0.}, {125.5, 42.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{125.5, 0.}, {126.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{126.5, 0.}, {127.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{127.5, 0.}, {128.5, 29.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{128.5, 0.}, {129.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{129.5, 0.}, {130.5, 44.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{130.5, 0.}, {131.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{131.5, 0.}, {132.5, 44.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{132.5, 0.}, {133.5, 40.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{133.5, 0.}, {134.5, 27.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{134.5, 0.}, {135.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{135.5, 0.}, {136.5, 88.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{136.5, 0.}, {137.5, 27.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{137.5, 0.}, {138.5, 27.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{138.5, 0.}, {139.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{139.5, 0.}, {140.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{140.5, 0.}, {141.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{141.5, 0.}, {142.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{142.5, 0.}, {143.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{143.5, 0.}, {144.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{144.5, 0.}, {145.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{145.5, 0.}, {146.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{146.5, 0.}, {147.5, 29.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{147.5, 0.}, {148.5, 50.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{148.5, 0.}, {149.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{149.5, 0.}, {150.5, 29.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{150.5, 0.}, {151.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{151.5, 0.}, {152.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{152.5, 0.}, {153.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{153.5, 0.}, {154.5, 27.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{154.5, 0.}, {155.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{155.5, 0.}, {156.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{156.5, 0.}, {157.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{157.5, 0.}, {158.5, 20.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{158.5, 0.}, {159.5, 24.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{159.5, 0.}, {160.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{160.5, 0.}, {161.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{161.5, 0.}, {162.5, 27.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{162.5, 0.}, {163.5, 42.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{163.5, 0.}, {164.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{164.5, 0.}, {165.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{165.5, 0.}, {166.5, 21.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{166.5, 0.}, {167.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{167.5, 0.}, {168.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{168.5, 0.}, {169.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{169.5, 0.}, {170.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{170.5, 0.}, {171.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{171.5, 0.}, {172.5, 28.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{172.5, 0.}, {173.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{173.5, 0.}, {174.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{174.5, 0.}, {175.5, 22.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{175.5, 0.}, {176.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{176.5, 0.}, {177.5, 25.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{177.5, 0.}, {178.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{178.5, 0.}, {179.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{179.5, 0.}, {180.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{180.5, 0.}, {181.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{181.5, 0.}, {182.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{182.5, 0.}, {183.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{183.5, 0.}, {184.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{184.5, 0.}, {185.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{185.5, 0.}, {186.5, 44.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{186.5, 0.}, {187.5, 45.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{187.5, 0.}, {188.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{188.5, 0.}, {189.5, 34.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{189.5, 0.}, {190.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{190.5, 0.}, {191.5, 25.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{191.5, 0.}, {192.5, 39.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{192.5, 0.}, {193.5, 41.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{193.5, 0.}, {194.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{194.5, 0.}, {195.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{195.5, 0.}, {196.5, 45.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{196.5, 0.}, {197.5, 29.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{197.5, 0.}, {198.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{198.5, 0.}, {199.5, 44.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{199.5, 0.}, {200.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{200.5, 0.}, {201.5, 31.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{201.5, 0.}, {202.5, 24.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{202.5, 0.}, {203.5, 46.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{203.5, 0.}, {204.5, 23.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{204.5, 0.}, {205.5, 33.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{205.5, 0.}, {206.5, 40.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{206.5, 0.}, {207.5, 35.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{207.5, 0.}, {208.5, 40.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{208.5, 0.}, {209.5, 38.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{209.5, 0.}, {210.5, 56.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{210.5, 0.}, {211.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{211.5, 0.}, {212.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{212.5, 0.}, {213.5, 27.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{213.5, 0.}, {214.5, 32.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{214.5, 0.}, {215.5, 37.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{215.5, 0.}, {216.5, 26.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{216.5, 0.}, {217.5, 24.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{217.5, 0.}, {218.5, 35.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{218.5, 0.}, {219.5, 30.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{219.5, 0.}, {220.5, 17.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{220.5, 0.}, {221.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{221.5, 0.}, {222.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{222.5, 0.}, {223.5, 17.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{223.5, 0.}, {224.5, 15.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{224.5, 0.}, {225.5, 18.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{225.5, 0.}, {226.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{226.5, 0.}, {227.5, 11.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{227.5, 0.}, {228.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{228.5, 0.}, {229.5, 19.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{229.5, 0.}, {230.5, 13.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{230.5, 0.}, {231.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{231.5, 0.}, {232.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{232.5, 0.}, {233.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{233.5, 0.}, {234.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{234.5, 0.}, {235.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{235.5, 0.}, {236.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{236.5, 0.}, {237.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{237.5, 0.}, {238.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{238.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{239.5, 0.}, {240.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{240.5, 0.}, {241.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{241.5, 0.}, {242.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{242.5, 0.}, {243.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{243.5, 0.}, {244.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{244.5, 0.}, {245.5, 10.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{245.5, 0.}, {246.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{246.5, 0.}, {247.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{247.5, 0.}, {248.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{248.5, 0.}, {249.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{249.5, 0.}, {250.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{250.5, 0.}, {251.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{251.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{252.5, 0.}, {253.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{253.5, 0.}, {254.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{254.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{255.5, 0.}, {256.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{256.5, 0.}, {257.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{257.5, 0.}, {258.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{258.5, 0.}, {259.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{259.5, 0.}, {260.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{260.5, 0.}, {261.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{261.5, 0.}, {262.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{262.5, 0.}, {263.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{263.5, 0.}, {264.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{264.5, 0.}, {265.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{265.5, 0.}, {266.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{266.5, 0.}, {267.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{267.5, 0.}, {268.5, 9.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{268.5, 0.}, {269.5, 15.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{269.5, 0.}, {270.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{270.5, 0.}, {271.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{271.5, 0.}, {272.5, 3.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{272.5, 0.}, {273.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{273.5, 0.}, {274.5, 7.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{274.5, 0.}, {275.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{275.5, 0.}, {276.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{276.5, 0.}, {277.5, 12.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{277.5, 0.}, {278.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{278.5, 0.}, {279.5, 8.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{279.5, 0.}, {280.5, 44.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{280.5, 0.}, {281.5, 6.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{281.5, 0.}, {282.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{282.5, 0.}, {283.5, 2.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{283.5, 0.}, {284.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{284.5, 0.}, {285.5, 5.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{285.5, 0.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{286.5, 0.}, {287.5, 4.},
       RoundingRadius->0]}, 
     {RGBColor[0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
      Opacity[0.5], EdgeForm[RGBColor[
      0.8442206454566262, 0.5068284122987716, 0.13566796368352788`]], 
      RectangleBox[{287.5, 0.}, {288.5, 5.},
       RoundingRadius->
        0]}}, {}, {}}, {}, {{{{{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, \
{}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, \
{{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}, {{}, {}}}, {}}, {}}, {}}, 
   GraphicsGroupBox[
    {GrayLevel[0], 
     StyleBox[{},
      Antialiasing->False]}]},
  AspectRatio->NCache[
    Rational[1, 5], 0.2],
  Axes->{True, True},
  AxesOrigin->{0.5, 0},
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{None, None}, {{{0, 
       FormBox["\"6 AM\"", TraditionalForm]}, {24, 
       FormBox["\"8 AM\"", TraditionalForm]}, {48, 
       FormBox["\"10 AM\"", TraditionalForm]}, {72, 
       FormBox["\"12 PM\"", TraditionalForm]}, {96, 
       FormBox["\"2 PM\"", TraditionalForm]}, {120, 
       FormBox["\"4 PM\"", TraditionalForm]}, {144, 
       FormBox["\"6 PM\"", TraditionalForm]}, {168, 
       FormBox["\"8 PM\"", TraditionalForm]}, {192, 
       FormBox["\"10 PM\"", TraditionalForm]}, {216, 
       FormBox["\"12 AM\"", TraditionalForm]}, {240, 
       FormBox["\"2 AM\"", TraditionalForm]}, {264, 
       FormBox["\"4 AM\"", TraditionalForm]}, {288, 
       FormBox["\"6 AM\"", TraditionalForm]}}, None}},
  FrameTicksStyle->GrayLevel[0],
  GridLines->{{24, 48, 72, 96, 120, 144, 168, 192, 216, 240, 264}, None},
  GridLinesStyle->GrayLevel[0.87],
  ImageSize->450,
  PlotRange->{{1, 288}, All},
  PlotRangePadding->{{1, 0}, {0, 
     Scaled[0.15]}},
  Ticks->{None, None}]], "Output",
 CellChangeTimes->{3.541862823253244*^9, 3.5424875926213617`*^9, 
  3.5424899637224417`*^9, 3.5424909572798*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Distribution of sent emails per day", "Section",
 CellChangeTimes->{{3.541795626199658*^9, 3.541795626899206*^9}, {
  3.541857271791026*^9, 3.541857275639009*^9}, {3.541857977341139*^9, 
  3.541857977702847*^9}}],

Cell[CellGroupData[{

Cell["Incoming", "Subsection",
 CellChangeTimes->{{3.541857400176936*^9, 3.541857400989779*^9}, {
  3.5418580596784678`*^9, 3.5418580624411163`*^9}, {3.542486827146831*^9, 
  3.542486827842536*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"distributionperday", "[", "dates_List", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "startdate", ",", "enddate", ",", "plotstartdate", ",", "plotenddate", 
      ",", "fillcolor", ",", "edgecolor", ",", "dailycount"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"startdate", ",", "enddate"}], "}"}], "=", 
      RowBox[{
       RowBox[{"Sort", "[", "dates", "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "1"}]}], "}"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"plotstartdate", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", 
          RowBox[{"#2", "+", "1"}], ",", "1"}], "}"}], "&"}], "@@", 
       RowBox[{"DatePlus", "[", 
        RowBox[{"startdate", ",", 
         RowBox[{"-", "1"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"plotenddate", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#1", ",", 
          RowBox[{"#2", "-", "1"}], ",", "1"}], "}"}], "&"}], "@@", 
       RowBox[{"DatePlus", "[", 
        RowBox[{"enddate", ",", "1"}], "]"}]}]}], ";", 
     RowBox[{"fillcolor", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.9196002136263065`", ",", "0.7993438620584421`", ",", 
        "0.19940489814602885`", ",", "0.5`"}], "]"}]}], ";", 
     RowBox[{"edgecolor", "=", 
      RowBox[{"RGBColor", "[", 
       RowBox[{
       "0.8442206454566262`", ",", "0.5068284122987716`", ",", 
        "0.13566796368352788`"}], "]"}]}], ";", 
     RowBox[{"dailycount", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"DatePlus", "[", 
          RowBox[{"startdate", ",", "#"}], "]"}], "&"}], ",", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", 
          RowBox[{"DateDifference", "[", 
           RowBox[{"startdate", ",", "enddate"}], "]"}]}], "]"}]}], "]"}]}], 
     ";", 
     RowBox[{"dailycount", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", 
          RowBox[{"Count", "[", 
           RowBox[{"dates", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sequence", "@@", 
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{";;", "3"}], "]"}], "]"}]}], ",", "__"}], "}"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "dailycount"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Histogram", "[", 
      RowBox[{
       RowBox[{"dailycount", "[", 
        RowBox[{"[", 
         RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", "\[IndentingNewLine]", 
       
       RowBox[{"ChartStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"EdgeForm", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Thickness", "[", ".0025", "]"}], ",", "edgecolor"}], 
            "}"}], "]"}], ",", "fillcolor"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
       RowBox[{"FrameStyle", "\[Rule]", 
        RowBox[{"GrayLevel", "[", "0.75", "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"FrameTicks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"None", ",", "None"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", "None"}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"FrameTicksStyle", "\[Rule]", "Black"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotRangePadding", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"Scaled", "[", ".1", "]"}]}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"450", "/", "2"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"AspectRatio", "\[Rule]", 
        RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.541857865967663*^9, 3.5418579478510637`*^9}, {
  3.541858039991843*^9, 3.541858040363388*^9}, {3.5424906310262337`*^9, 
  3.542490631432527*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"distributionperday", "[", "sentdates", "]"}]], "Input",
 CellChangeTimes->{{3.541857965677294*^9, 3.541857983241437*^9}}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
   EdgeForm[Opacity[0.7]], {}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{0., 0.}, {1., 1183.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{2.223249999999993, 
          17.53675000000001}, {-64.49347748907739, 59.209475109226716`}}]},
       StatusArea[#, 1183.]& ,
       TagBoxNote->"1183."],
      StyleBox["1183.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1183., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{1., 0.}, {2., 316.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{16.98325, 32.29675}, {25.760601465047422`, 
          59.2094751092267}}]},
       StatusArea[#, 316.]& ,
       TagBoxNote->"316."],
      StyleBox["316.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[316., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{2., 0.}, {3., 174.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{31.743250000000003`, 47.05675}, {
          40.542699748191275`, 59.2094751092267}}]},
       StatusArea[#, 174.]& ,
       TagBoxNote->"174."],
      StyleBox["174.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[174., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{3., 0.}, {4., 95.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{46.50325, 61.816750000000006`}, {48.7665431592361, 
          59.2094751092267}}]},
       StatusArea[#, 95.]& ,
       TagBoxNote->"95."],
      StyleBox["95.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[95., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{4., 0.}, {5., 44.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{61.26325, 76.57675}, {54.07560662712578, 
          59.20947510922671}}]},
       StatusArea[#, 44.]& ,
       TagBoxNote->"44."],
      StyleBox["44.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[44., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{5., 0.}, {6., 25.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{76.02325, 91.33675}, {56.053493017123905`, 
          59.20947510922671}}]},
       StatusArea[#, 25.]& ,
       TagBoxNote->"25."],
      StyleBox["25.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[25., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{6., 0.}, {7., 17.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{90.78325, 106.09675}, {56.8862872865968, 
          59.20947510922671}}]},
       StatusArea[#, 17.]& ,
       TagBoxNote->"17."],
      StyleBox["17.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[17., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{7., 0.}, {8., 16.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{105.54325, 120.85675}, {56.99038657028091, 
          59.20947510922671}}]},
       StatusArea[#, 16.]& ,
       TagBoxNote->"16."],
      StyleBox["16.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[16., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{8., 0.}, {9., 8.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{120.30325, 135.61675000000002`}, {57.8231808397538,
           59.20947510922671}}]},
       StatusArea[#, 8.]& ,
       TagBoxNote->"8."],
      StyleBox["8.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[8., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{9., 0.}, {10., 4.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{135.06325, 150.37675000000002`}, {
          58.23957797449025, 59.2094751092267}}]},
       StatusArea[#, 4.]& ,
       TagBoxNote->"4."],
      StyleBox["4.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[4., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{10., 0.}, {11., 2.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{149.82325000000003`, 165.13675}, {
          58.44777654185848, 59.2094751092267}}]},
       StatusArea[#, 2.]& ,
       TagBoxNote->"2."],
      StyleBox["2.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[2., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{11., 0.}, {12., 5.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{164.58325000000002`, 179.89675}, {
          58.135478690806146`, 59.2094751092267}}]},
       StatusArea[#, 5.]& ,
       TagBoxNote->"5."],
      StyleBox["5.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[5., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{12., 0.}, {13., 1.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{179.34325, 194.65675000000005`}, {
          58.55187582554259, 59.2094751092267}}]},
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{13., 0.}, {14., 1.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{194.10325000000003`, 209.41675000000004`}, {
          58.55187582554259, 59.2094751092267}}]},
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{14., 0.}, {15., 1.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{208.86325000000002`, 224.17675000000003`}, {
          58.55187582554259, 59.2094751092267}}]},
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesOrigin->{0., 0.},
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{None, None}, {Automatic, None}},
  FrameTicksStyle->GrayLevel[0],
  GridLines->{None, None},
  ImageSize->225,
  PlotRange->{{0., 15.}, {All, All}},
  PlotRangePadding->{{0, 0}, {0, 
     Scaled[0.1]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.541857987824504*^9, 3.541858051435668*^9, 
  3.542489971684435*^9, 3.54249095962374*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"startdate", ",", "enddate"}], "}"}], "=", 
   RowBox[{
    RowBox[{"Sort", "[", "sentdates", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dailycount", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"DatePlus", "[", 
       RowBox[{"startdate", ",", "#"}], "]"}], "&"}], ",", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", 
       RowBox[{"DateDifference", "[", 
        RowBox[{"startdate", ",", "enddate"}], "]"}]}], "]"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"dailycount", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"Count", "[", 
        RowBox[{"sentdates", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sequence", "@@", 
            RowBox[{"#", "[", 
             RowBox[{"[", 
              RowBox[{";;", "3"}], "]"}], "]"}]}], ",", "__"}], "}"}]}], 
        "]"}]}], "}"}], "&"}], "/@", "dailycount"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.541935362718912*^9, 3.541935392948821*^9}, {
  3.541949980356694*^9, 3.541949983661027*^9}, {3.5419511266597433`*^9, 
  3.541951150665268*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"senttally", "=", 
  RowBox[{"SortBy", "[", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"dailycount", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", "First"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5419360891367064`*^9, 3.541936107684595*^9}, {
  3.5419411479979897`*^9, 3.541941159532075*^9}, {3.5419511342884407`*^9, 
  3.54195113459741*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1183"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "316"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "174"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "95"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "44"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "17"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "16"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"11", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"13", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"14", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5419511392357407`*^9, 3.541951153864778*^9}, 
   3.542489974099292*^9, 3.5424909619262133`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Outgoing", "Subsection",
 CellChangeTimes->{{3.5418574104901943`*^9, 3.5418574137016478`*^9}, {
  3.54185806497933*^9, 3.541858066890985*^9}, {3.542486823036728*^9, 
  3.542486824114684*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"distributionperday", "[", "incomingdates", "]"}]], "Input",
 CellChangeTimes->{{3.541858010142015*^9, 3.541858011903674*^9}}],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
   EdgeForm[Opacity[0.7]], {}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{0., 0.}, {1., 226.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{2.22325, 
          12.402836956521739`}, {-28.047377810451522`, 59.2094751092267}}]},
       StatusArea[#, 226.]& ,
       TagBoxNote->"226."],
      StyleBox["226.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[226., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{1., 0.}, {2., 321.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{11.849336956521732`, 
          22.028923913043485`}, {-64.49347748907734, 59.209475109226716`}}]},
       StatusArea[#, 321.]& ,
       TagBoxNote->"321."],
      StyleBox["321.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[321., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{2., 0.}, {3., 301.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{21.47542391304348, 
          31.655010869565217`}, {-56.82061439884032, 59.2094751092267}}]},
       StatusArea[#, 301.]& ,
       TagBoxNote->"301."],
      StyleBox["301.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[301., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{3., 0.}, {4., 287.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{31.101510869565217`, 
          41.281097826086956`}, {-51.4496102356744, 59.2094751092267}}]},
       StatusArea[#, 287.]& ,
       TagBoxNote->"287."],
      StyleBox["287.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[287., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{4., 0.}, {5., 206.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{40.727597826086956`, 
          50.907184782608695`}, {-20.374514720214506`, 59.2094751092267}}]},
       StatusArea[#, 206.]& ,
       TagBoxNote->"206."],
      StyleBox["206.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[206., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{5., 0.}, {6., 124.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{50.353684782608696`, 60.533271739130434`}, {
          11.08422394975723, 59.2094751092267}}]},
       StatusArea[#, 124.]& ,
       TagBoxNote->"124."],
      StyleBox["124.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[124., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{6., 0.}, {7., 102.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{59.97977173913043, 70.15935869565217}, {
          19.524373349017942`, 59.20947510922671}}]},
       StatusArea[#, 102.]& ,
       TagBoxNote->"102."],
      StyleBox["102.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[102., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{7., 0.}, {8., 73.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{69.60585869565217, 79.7854456521739}, {
          30.650024829861604`, 59.20947510922671}}]},
       StatusArea[#, 73.]& ,
       TagBoxNote->"73."],
      StyleBox["73.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[73., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{8., 0.}, {9., 60.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{79.2319456521739, 89.41153260869564}, {
          35.63738583851566, 59.20947510922671}}]},
       StatusArea[#, 60.]& ,
       TagBoxNote->"60."],
      StyleBox["60.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[60., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{9., 0.}, {10., 42.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{88.85803260869564, 99.03761956521738}, {
          42.54296261972897, 59.20947510922671}}]},
       StatusArea[#, 42.]& ,
       TagBoxNote->"42."],
      StyleBox["42.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[42., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{10., 0.}, {11., 41.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{98.48411956521738, 108.66370652173913`}, {
          42.92660577424083, 59.20947510922671}}]},
       StatusArea[#, 41.]& ,
       TagBoxNote->"41."],
      StyleBox["41.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[41., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{11., 0.}, {12., 32.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{108.11020652173913`, 118.28979347826086`}, {
          46.379394164847476`, 59.20947510922671}}]},
       StatusArea[#, 32.]& ,
       TagBoxNote->"32."],
      StyleBox["32.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[32., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{12., 0.}, {13., 14.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{117.73629347826086`, 127.9158804347826}, {
          53.28497094606079, 59.20947510922671}}]},
       StatusArea[#, 14.]& ,
       TagBoxNote->"14."],
      StyleBox["14.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[14., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{13., 0.}, {14., 25.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{127.3623804347826, 137.54196739130435`}, {
          49.06489624643043, 59.20947510922671}}]},
       StatusArea[#, 25.]& ,
       TagBoxNote->"25."],
      StyleBox["25.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[25., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{14., 0.}, {15., 11.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{136.98846739130437`, 147.16805434782611`}, {
          54.43590040959635, 59.2094751092267}}]},
       StatusArea[#, 11.]& ,
       TagBoxNote->"11."],
      StyleBox["11.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[11., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{15., 0.}, {16., 5.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{146.6145543478261, 156.79414130434782`}, {
          56.73775933666745, 59.2094751092267}}]},
       StatusArea[#, 5.]& ,
       TagBoxNote->"5."],
      StyleBox["5.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[5., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{16., 0.}, {17., 9.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{156.24064130434783`, 166.42022826086958`}, {
          55.203186718620046`, 59.2094751092267}}]},
       StatusArea[#, 9.]& ,
       TagBoxNote->"9."],
      StyleBox["9.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[9., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{17., 0.}, {18., 7.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{165.86672826086956`, 176.04631521739128`}, {
          55.97047302764375, 59.2094751092267}}]},
       StatusArea[#, 7.]& ,
       TagBoxNote->"7."],
      StyleBox["7.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[7., {
        GrayLevel[0]}], "Tooltip"]& ], {}, 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{19., 0.}, {20., 3.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{185.11890217391306`, 195.2984891304348}, {
          57.50504564569115, 59.2094751092267}}]},
       StatusArea[#, 3.]& ,
       TagBoxNote->"3."],
      StyleBox["3.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[3., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{20., 0.}, {21., 3.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{194.7449891304348, 204.9245760869565}, {
          57.50504564569115, 59.2094751092267}}]},
       StatusArea[#, 3.]& ,
       TagBoxNote->"3."],
      StyleBox["3.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[3., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{21., 0.}, {22., 3.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{204.37107608695652`, 214.55066304347827`}, {
          57.50504564569115, 59.2094751092267}}]},
       StatusArea[#, 3.]& ,
       TagBoxNote->"3."],
      StyleBox["3.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[3., {
        GrayLevel[0]}], "Tooltip"]& ], 
    TagBox[
     TooltipBox[
      TagBox[
       {RGBColor[
        0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
        Opacity[0.5], EdgeForm[{RGBColor[
        0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
        Thickness[0.0025]}], 
        DynamicBox[{
          FEPrivate`If[
           CurrentValue["MouseOver"], 
           EdgeForm[{
             GrayLevel[0.5], 
             AbsoluteThickness[1.5], 
             Opacity[0.66]}], {}, {}], 
          RectangleBox[{22., 0.}, {23., 1.}, "RoundingRadius" -> 0]},
         ImageSizeCache->{{213.99716304347828`, 224.17675000000003`}, {
          58.27233195471485, 59.2094751092267}}]},
       StatusArea[#, 1.]& ,
       TagBoxNote->"1."],
      StyleBox["1.`", {
        GrayLevel[0]}, StripOnInput -> False]],
     Annotation[#, 
      Style[1., {
        GrayLevel[0]}], "Tooltip"]& ]}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesOrigin->{0., 0},
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{None, None}, {Automatic, None}},
  FrameTicksStyle->GrayLevel[0],
  GridLines->{None, None},
  ImageSize->225,
  PlotRange->{{0., 23.}, {All, All}},
  PlotRangePadding->{{0, 0}, {0, 
     Scaled[0.1]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.54185801646541*^9, 3.5418580556325483`*^9, 
  3.542489982391508*^9, 3.542490966249181*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Fit incoming mail to negative binomial distribution", "Subsection",
 CellChangeTimes->{{3.5419858952040443`*^9, 3.5419859084619226`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"startdate", ",", "enddate"}], "}"}], "=", 
   RowBox[{
    RowBox[{"Sort", "[", "incomingdates", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dailycount", "=", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"DatePlus", "[", 
       RowBox[{"startdate", ",", "#"}], "]"}], "&"}], ",", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", 
       RowBox[{"DateDifference", "[", 
        RowBox[{"startdate", ",", "enddate"}], "]"}]}], "]"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"dailycount", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{"Count", "[", 
        RowBox[{"incomingdates", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Sequence", "@@", 
            RowBox[{"#", "[", 
             RowBox[{"[", 
              RowBox[{";;", "3"}], "]"}], "]"}]}], ",", "__"}], "}"}]}], 
        "]"}]}], "}"}], "&"}], "/@", "dailycount"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.541935362718912*^9, 3.541935392948821*^9}, {
  3.541949980356694*^9, 3.541949983661027*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"incomingtally", "=", 
  RowBox[{"SortBy", "[", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"dailycount", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], ",", "First"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.5419360891367064`*^9, 3.541936107684595*^9}, {
  3.5419411479979897`*^9, 3.541941159532075*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "226"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "321"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "301"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "287"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "206"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "124"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "102"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "73"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"8", ",", "60"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"9", ",", "42"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "41"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"11", ",", "32"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"12", ",", "14"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"13", ",", "25"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"14", ",", "11"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"15", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"16", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"17", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"19", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"20", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"21", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"22", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"23", ",", "2"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.541936097289362*^9, 3.541936109816031*^9}, 
   3.541941160747355*^9, 3.541950166283296*^9, 3.541951276279711*^9, 
   3.542489989157324*^9, 3.542490970516152*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"negbinomial", "=", 
  RowBox[{"EstimatedDistribution", "[", 
   RowBox[{
    RowBox[{"dailycount", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", " ", 
    RowBox[{"NegativeBinomialDistribution", "[", 
     RowBox[{"n", ",", "p"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.541942778659547*^9, {3.541949904946272*^9, 3.541949910238846*^9}, {
   3.541950048324531*^9, 3.5419500487463703`*^9}, {3.541951436494811*^9, 
   3.541951438775766*^9}}],

Cell[BoxData[
 RowBox[{"NegativeBinomialDistribution", "[", 
  RowBox[{"1.7315778336279102`", ",", "0.31328313532423874`"}], 
  "]"}]], "Output",
 CellChangeTimes->{
  3.541942779839827*^9, {3.541950057075205*^9, 3.5419500657540627`*^9}, 
   3.541950169327269*^9, 3.5419514422566032`*^9, 3.5424899894263163`*^9, 
   3.542490970696889*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"fillcolor", "=", 
   RowBox[{"RGBColor", "[", 
    RowBox[{
    "0.9196002136263065`", ",", "0.7993438620584421`", ",", 
     "0.19940489814602885`", ",", "0.5`"}], "]"}]}], ";", 
  RowBox[{"edgecolor", "=", 
   RowBox[{"RGBColor", "[", 
    RowBox[{
    "0.8442206454566262`", ",", "0.5068284122987716`", ",", 
     "0.13566796368352788`"}], "]"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Histogram", "[", 
    RowBox[{
     RowBox[{"dailycount", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.5"}], ",", "20.5", ",", "1"}], "}"}], ",", 
     "\"\<ProbabilityDensity\>\"", ",", 
     RowBox[{"ChartStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{
        RowBox[{"EdgeForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Thickness", "[", ".0025", "]"}], ",", "edgecolor"}], 
          "}"}], "]"}], ",", "fillcolor"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"GrayLevel", "[", "0.75", "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameTicks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", "0.2", ",", "0.05"}], "]"}], ",", "None"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "None"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"FrameTicksStyle", "\[Rule]", "Black"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRangePadding", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Scaled", "[", ".1", "]"}]}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"450", "/", "2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", 
      RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"DiscretePlot", "[", 
    RowBox[{
     RowBox[{"PDF", "[", 
      RowBox[{"negbinomial", ",", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "20"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"PointSize", "[", "Medium", "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.5419422251337748`*^9, 3.541942237635635*^9}, {
   3.541942348497231*^9, 3.541942352985435*^9}, {3.5419424137115183`*^9, 
   3.541942413781767*^9}, {3.5419424632730837`*^9, 3.54194248528377*^9}, {
   3.5419426533445168`*^9, 3.541942661358202*^9}, {3.541950195872102*^9, 
   3.541950196150483*^9}, {3.5419514513032103`*^9, 3.541951453734764*^9}, 
   3.541951882275114*^9, {3.5424869260064707`*^9, 3.542486936798851*^9}, {
   3.542490646242334*^9, 3.542490646624895*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
     EdgeForm[Opacity[0.7]], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{-0.5, 0.}, {0.5, 0.11945031712473574`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{20.746463414634146`, 
           30.912073170731706`}, {-26.22894814282887, 53.70891830351525}}]},
        StatusArea[#, 0.11945031712473574`]& ,
        TagBoxNote->"0.11945031712473574"],
       StyleBox["0.11945031712473574`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.11945031712473574`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{0.5, 0.}, {1.5, 0.169661733615222}, "RoundingRadius" -> 
            0]},
          
          ImageSizeCache->{{30.404999999999998`, 
           40.570609756097554`}, {-59.61799841355089, 53.70891830351523}}]},
        StatusArea[#, 0.169661733615222]& ,
        TagBoxNote->"0.169661733615222"],
       StyleBox["0.169661733615222`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.169661733615222, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{1.5, 0.}, {2.5, 0.1590909090909091}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{40.06353658536585, 
           50.22914634146341}, {-52.58872467234626, 53.70891830351523}}]},
        StatusArea[#, 0.1590909090909091]& ,
        TagBoxNote->"0.1590909090909091"],
       StyleBox["0.1590909090909091`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.1590909090909091, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{2.5, 0.}, {3.5, 0.15169133192389006`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{49.722073170731704`, 
           59.88768292682927}, {-47.668233053503, 53.70891830351523}}]},
        StatusArea[#, 0.15169133192389006`]& ,
        TagBoxNote->"0.15169133192389006"],
       StyleBox["0.15169133192389006`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.15169133192389006`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{3.5, 0.}, {4.5, 0.10887949260042283`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{59.380609756097556`, 
           69.54621951219511}, {-19.199674401624236`, 53.70891830351525}}]},
        StatusArea[#, 0.10887949260042283`]& ,
        TagBoxNote->"0.10887949260042283"],
       StyleBox["0.10887949260042283`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.10887949260042283`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{4.5, 0.}, {5.5, 0.06553911205073996}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{69.03914634146341, 79.20475609756096}, {
           9.620347937314769, 53.70891830351523}}]},
        StatusArea[#, 0.06553911205073996]& ,
        TagBoxNote->"0.06553911205073996"],
       StyleBox["0.06553911205073996`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.06553911205073996, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{5.5, 0.}, {6.5, 0.05391120507399577}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{78.69768292682926, 88.86329268292684}, {
           17.35254905263988, 53.70891830351525}}]},
        StatusArea[#, 0.05391120507399577]& ,
        TagBoxNote->"0.05391120507399577"],
       StyleBox["0.05391120507399577`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.05391120507399577, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{6.5, 0.}, {7.5, 0.03858350951374207}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{88.35621951219512, 98.52182926829269}, {
           27.544995977386595`, 53.70891830351523}}]},
        StatusArea[#, 0.03858350951374207]& ,
        TagBoxNote->"0.03858350951374207"],
       StyleBox["0.03858350951374207`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.03858350951374207, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{7.5, 0.}, {8.5, 0.03171247357293869}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{98.01475609756098, 108.18036585365854`}, {
           32.11402390916961, 53.70891830351523}}]},
        StatusArea[#, 0.03171247357293869]& ,
        TagBoxNote->"0.03171247357293869"],
       StyleBox["0.03171247357293869`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.03171247357293869, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{8.5, 0.}, {9.5, 0.022198731501057084`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{107.67329268292683`, 117.8389024390244}, {
           38.44037027625379, 53.70891830351523}}]},
        StatusArea[#, 0.022198731501057084`]& ,
        TagBoxNote->"0.022198731501057084"],
       StyleBox["0.022198731501057084`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.022198731501057084`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{9.5, 0.}, {10.5, 0.02167019027484144}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{117.33182926829268`, 127.49743902439025`}, {
           38.79183396331402, 53.70891830351523}}]},
        StatusArea[#, 0.02167019027484144]& ,
        TagBoxNote->"0.02167019027484144"],
       StyleBox["0.02167019027484144`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.02167019027484144, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{10.5, 0.}, {11.5, 0.016913319238900635`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{126.99036585365853`, 137.15597560975607`}, {
           41.955007146856104`, 53.70891830351523}}]},
        StatusArea[#, 0.016913319238900635`]& ,
        TagBoxNote->"0.016913319238900635"],
       StyleBox["0.016913319238900635`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.016913319238900635`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{11.5, 0.}, {12.5, 0.007399577167019028}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{136.64890243902437`, 146.81451219512195`}, {
           48.28135351394028, 53.70891830351523}}]},
        StatusArea[#, 0.007399577167019028]& ,
        TagBoxNote->"0.007399577167019028"],
       StyleBox["0.007399577167019028`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.007399577167019028, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{12.5, 0.}, {13.5, 0.013213530655391121`}, 
            "RoundingRadius" -> 0]},
          ImageSizeCache->{{146.30743902439025`, 156.47304878048777`}, {
           44.415252956277726`, 53.70891830351523}}]},
        StatusArea[#, 0.013213530655391121`]& ,
        TagBoxNote->"0.013213530655391121"],
       StyleBox["0.013213530655391121`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.013213530655391121`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{13.5, 0.}, {14.5, 0.005813953488372093}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{155.96597560975607`, 166.13158536585365`}, {
           49.33574457512098, 53.70891830351523}}]},
        StatusArea[#, 0.005813953488372093]& ,
        TagBoxNote->"0.005813953488372093"],
       StyleBox["0.005813953488372093`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.005813953488372093, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{14.5, 0.}, {15.5, 0.002642706131078224}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{165.62451219512195`, 175.79012195121948`}, {
           51.44452669748237, 53.70891830351523}}]},
        StatusArea[#, 0.002642706131078224]& ,
        TagBoxNote->"0.002642706131078224"],
       StyleBox["0.002642706131078224`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.002642706131078224, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{15.5, 0.}, {16.5, 0.0047568710359408035`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{175.28304878048777`, 185.44865853658536`}, {
           50.03867194924144, 53.70891830351523}}]},
        StatusArea[#, 0.0047568710359408035`]& ,
        TagBoxNote->"0.0047568710359408035"],
       StyleBox["0.0047568710359408035`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.0047568710359408035`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           RectangleBox[{16.5, 0.}, {17.5, 0.003699788583509514}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{184.94158536585365`, 195.10719512195124`}, {
           50.7415993233619, 53.70891830351523}}]},
        StatusArea[#, 0.003699788583509514]& ,
        TagBoxNote->"0.003699788583509514"],
       StyleBox["0.003699788583509514`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.003699788583509514, {
         GrayLevel[0]}], "Tooltip"]& ], {}, 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{18.5, 0.}, {19.5, 0.0015856236786469346`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{204.25865853658536`, 214.42426829268294`}, {
           52.14745407160283, 53.70891830351523}}]},
        StatusArea[#, 0.0015856236786469346`]& ,
        TagBoxNote->"0.0015856236786469346"],
       StyleBox["0.0015856236786469346`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.0015856236786469346`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{19.5, 0.}, {20.5, 0.0015856236786469346`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{213.91719512195124`, 224.08280487804876`}, {
           52.14745407160283, 53.70891830351523}}]},
        StatusArea[#, 0.0015856236786469346`]& ,
        TagBoxNote->"0.0015856236786469346"],
       StyleBox["0.0015856236786469346`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.0015856236786469346`, {
         GrayLevel[0]}], "Tooltip"]& ]}, {}, {}}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointSize[Medium], {
      {Opacity[0.2], LineBox[{},
        VertexColors->None]}, 
      {Opacity[0.2], 
       LineBox[{{{0., 0.1340218816550202}, {0., 0}}, {{1., 
          0.15936591547100004`}, {1., 0}}, {{2., 0.1494709308422509}, {
          2., 0}}, {{3., 0.12767495167016057`}, {3., 0}}, {{4., 
          0.10371209626566184`}, {4., 0}}, {{5., 0.0816415639597075}, {
          5., 0}}, {{6., 0.06290057999932226}, {6., 0}}, {{7., 
          0.047709235280485374`}, {7., 0}}, {{8., 0.035758797939005965`}, {
          8., 0}}, {{9., 0.026552252867693613`}, {9., 0}}, {{10., 
          0.01956783007053295}, {10., 0}}, {{11., 0.014331251663630862`}, {
          11., 0}}, {{12., 0.010441498224471464`}, {12., 0}}, {{13., 
          0.007573866096912822}, {13., 0}}, {{14., 0.005472888052834785}, {
          14., 0}}, {{15., 0.003941624985271159}, {15., 0}}, {{16., 
          0.002830544133221781}, {16., 0}}, {{17., 0.002027431104947946}, {
          17., 0}}, {{18., 0.0014488575038680762`}, {18., 0}}, {{19., 
          0.0010332647212307141`}, {19., 0}}, {{20., 0.00073551523945516}, {
          20., 0}}},
        VertexColors->None]}}}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointSize[Medium], {}, 
     PointBox[CompressedData["
1:eJxTTMoPSmViYGAQBWIQDQO9fCHsC9UP2kN4H+z5jrQaSqUdgfIZHIKPX+W+
q3gYyudw8Or6Ibc8/ACUL+BQLbfS9kHPLihfxMG4xVi97NkWKF/C4a/0/7kO
UhugfBmHFcl1XhG5K6B8BYeW0iT1X36LoHwlB85t59qaDWZD+SoOEVMv35jG
OQXKV3NI+LGUc0tkL5Sv4bBxtaZ2VFIrlK/lMC+Jx/gYaz2Ur+Ogu9vSeG9W
GZSv55BnWvVMXLUAyjdw2K6Ue17EIB3KN3S48dXn5JXZCVC+kcOdKfLPPu0J
h/KNHZ6KPem+/DYAyjdxWPxH/PMnSQ97AM6GV5Q=
      "]], {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesOrigin->{-0.5, 0},
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{{{0., 
       FormBox["0.`", TraditionalForm]}, {0.05, 
       FormBox["0.05`", TraditionalForm]}, {0.1, 
       FormBox["0.1`", TraditionalForm]}, {0.15000000000000002`, 
       FormBox["0.15000000000000002`", TraditionalForm]}, {0.2, 
       FormBox["0.2`", TraditionalForm]}}, None}, {Automatic, None}},
  FrameTicksStyle->GrayLevel[0],
  GridLines->{None, None},
  ImageSize->225,
  PlotRange->{{-0.5, 20.5}, {All, All}},
  PlotRangePadding->{{0, 0}, {0, 
     Scaled[0.1]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.541942354615201*^9, 3.541942414331727*^9, {3.5419424705097103`*^9, 
   3.5419424880562897`*^9}, {3.541942654822961*^9, 3.541942661880233*^9}, 
   3.541950144769359*^9, 3.54195019753804*^9, 3.541951454842577*^9, 
   3.541951883201067*^9, 3.542489989568314*^9, 3.542490037713057*^9, 
   3.542490970820026*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Fit incoming mail to beta negative binomial distribution", "Subsection",
 CellChangeTimes->{{3.5419858687346087`*^9, 3.541985886988325*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"betanegbinomial", "=", 
  RowBox[{"EstimatedDistribution", "[", 
   RowBox[{
    RowBox[{"dailycount", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", " ", 
    RowBox[{"BetaNegativeBinomialDistribution", "[", 
     RowBox[{"\[Alpha]", ",", "\[Beta]", ",", "n"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.541942778659547*^9, {3.541949904946272*^9, 3.541949910238846*^9}, {
   3.541950048324531*^9, 3.5419500487463703`*^9}, {3.541951436494811*^9, 
   3.541951438775766*^9}, {3.541951627785222*^9, 3.5419516508639*^9}}],

Cell[BoxData[
 RowBox[{"BetaNegativeBinomialDistribution", "[", 
  RowBox[{
  "8.937104451717952`", ",", "2.9937233698489742`", ",", 
   "10.07431925552295`"}], "]"}]], "Output",
 CellChangeTimes->{3.5419516536852016`*^9, 3.542490055186005*^9, 
  3.542490972390602*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"Histogram", "[", 
    RowBox[{
     RowBox[{"dailycount", "[", 
      RowBox[{"[", 
       RowBox[{"All", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.5"}], ",", "20.5", ",", "1"}], "}"}], ",", 
     "\"\<ProbabilityDensity\>\"", ",", 
     RowBox[{"ChartStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{
        RowBox[{"EdgeForm", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Thickness", "[", ".0025", "]"}], ",", "edgecolor"}], 
          "}"}], "]"}], ",", "fillcolor"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameStyle", "\[Rule]", 
      RowBox[{"GrayLevel", "[", "0.75", "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"FrameTicks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", "0.2", ",", "0.05"}], "]"}], ",", "None"}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "None"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"FrameTicksStyle", "\[Rule]", "Black"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotRangePadding", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"Scaled", "[", ".1", "]"}]}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"450", "/", "2"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", 
      RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}], ",", 
   RowBox[{"DiscretePlot", "[", 
    RowBox[{
     RowBox[{"PDF", "[", 
      RowBox[{"betanegbinomial", ",", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "20", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"PointSize", "[", "Medium", "]"}]}]}], "]"}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.5419422251337748`*^9, 3.541942237635635*^9}, {
  3.541942348497231*^9, 3.541942352985435*^9}, {3.5419424137115183`*^9, 
  3.541942413781767*^9}, {3.5419424632730837`*^9, 3.54194248528377*^9}, {
  3.5419426533445168`*^9, 3.541942661358202*^9}, {3.541950195872102*^9, 
  3.541950196150483*^9}, {3.5419514513032103`*^9, 3.541951453734764*^9}, {
  3.5419516587533073`*^9, 3.5419516613361673`*^9}, {3.5419517128148746`*^9, 
  3.541951737406097*^9}, {3.541951802732223*^9, 3.5419518091877003`*^9}, {
  3.541951848726171*^9, 3.541951854434207*^9}, {3.542490057928821*^9, 
  3.5424900581643333`*^9}, {3.542490650162137*^9, 3.5424906504496317`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
     EdgeForm[Opacity[0.7]], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{-0.5, 0.}, {0.5, 0.11945031712473574`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{20.746463414634146`, 
           30.912073170731706`}, {-26.22894814282887, 53.70891830351525}}]},
        StatusArea[#, 0.11945031712473574`]& ,
        TagBoxNote->"0.11945031712473574"],
       StyleBox["0.11945031712473574`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.11945031712473574`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{0.5, 0.}, {1.5, 0.169661733615222}, "RoundingRadius" -> 
            0]},
          
          ImageSizeCache->{{30.404999999999998`, 
           40.570609756097554`}, {-59.61799841355089, 53.70891830351523}}]},
        StatusArea[#, 0.169661733615222]& ,
        TagBoxNote->"0.169661733615222"],
       StyleBox["0.169661733615222`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.169661733615222, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{1.5, 0.}, {2.5, 0.1590909090909091}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{40.06353658536585, 
           50.22914634146341}, {-52.58872467234626, 53.70891830351523}}]},
        StatusArea[#, 0.1590909090909091]& ,
        TagBoxNote->"0.1590909090909091"],
       StyleBox["0.1590909090909091`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.1590909090909091, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{2.5, 0.}, {3.5, 0.15169133192389006`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{49.722073170731704`, 
           59.88768292682927}, {-47.668233053503, 53.70891830351523}}]},
        StatusArea[#, 0.15169133192389006`]& ,
        TagBoxNote->"0.15169133192389006"],
       StyleBox["0.15169133192389006`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.15169133192389006`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{3.5, 0.}, {4.5, 0.10887949260042283`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{59.380609756097556`, 
           69.54621951219511}, {-19.199674401624236`, 53.70891830351525}}]},
        StatusArea[#, 0.10887949260042283`]& ,
        TagBoxNote->"0.10887949260042283"],
       StyleBox["0.10887949260042283`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.10887949260042283`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{4.5, 0.}, {5.5, 0.06553911205073996}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{69.03914634146341, 79.20475609756096}, {
           9.620347937314769, 53.70891830351523}}]},
        StatusArea[#, 0.06553911205073996]& ,
        TagBoxNote->"0.06553911205073996"],
       StyleBox["0.06553911205073996`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.06553911205073996, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{5.5, 0.}, {6.5, 0.05391120507399577}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{78.69768292682926, 88.86329268292684}, {
           17.35254905263988, 53.70891830351525}}]},
        StatusArea[#, 0.05391120507399577]& ,
        TagBoxNote->"0.05391120507399577"],
       StyleBox["0.05391120507399577`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.05391120507399577, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{6.5, 0.}, {7.5, 0.03858350951374207}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{88.35621951219512, 98.52182926829269}, {
           27.544995977386595`, 53.70891830351523}}]},
        StatusArea[#, 0.03858350951374207]& ,
        TagBoxNote->"0.03858350951374207"],
       StyleBox["0.03858350951374207`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.03858350951374207, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{7.5, 0.}, {8.5, 0.03171247357293869}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{98.01475609756098, 108.18036585365854`}, {
           32.11402390916961, 53.70891830351523}}]},
        StatusArea[#, 0.03171247357293869]& ,
        TagBoxNote->"0.03171247357293869"],
       StyleBox["0.03171247357293869`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.03171247357293869, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{8.5, 0.}, {9.5, 0.022198731501057084`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{107.67329268292683`, 117.8389024390244}, {
           38.44037027625379, 53.70891830351523}}]},
        StatusArea[#, 0.022198731501057084`]& ,
        TagBoxNote->"0.022198731501057084"],
       StyleBox["0.022198731501057084`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.022198731501057084`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{9.5, 0.}, {10.5, 0.02167019027484144}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{117.33182926829268`, 127.49743902439025`}, {
           38.79183396331402, 53.70891830351523}}]},
        StatusArea[#, 0.02167019027484144]& ,
        TagBoxNote->"0.02167019027484144"],
       StyleBox["0.02167019027484144`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.02167019027484144, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{10.5, 0.}, {11.5, 0.016913319238900635`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{126.99036585365853`, 137.15597560975607`}, {
           41.955007146856104`, 53.70891830351523}}]},
        StatusArea[#, 0.016913319238900635`]& ,
        TagBoxNote->"0.016913319238900635"],
       StyleBox["0.016913319238900635`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.016913319238900635`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{11.5, 0.}, {12.5, 0.007399577167019028}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{136.64890243902437`, 146.81451219512195`}, {
           48.28135351394028, 53.70891830351523}}]},
        StatusArea[#, 0.007399577167019028]& ,
        TagBoxNote->"0.007399577167019028"],
       StyleBox["0.007399577167019028`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.007399577167019028, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{12.5, 0.}, {13.5, 0.013213530655391121`}, 
            "RoundingRadius" -> 0]},
          ImageSizeCache->{{146.30743902439025`, 156.47304878048777`}, {
           44.415252956277726`, 53.70891830351523}}]},
        StatusArea[#, 0.013213530655391121`]& ,
        TagBoxNote->"0.013213530655391121"],
       StyleBox["0.013213530655391121`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.013213530655391121`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{13.5, 0.}, {14.5, 0.005813953488372093}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{155.96597560975607`, 166.13158536585365`}, {
           49.33574457512098, 53.70891830351523}}]},
        StatusArea[#, 0.005813953488372093]& ,
        TagBoxNote->"0.005813953488372093"],
       StyleBox["0.005813953488372093`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.005813953488372093, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{14.5, 0.}, {15.5, 0.002642706131078224}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{165.62451219512195`, 175.79012195121948`}, {
           51.44452669748237, 53.70891830351523}}]},
        StatusArea[#, 0.002642706131078224]& ,
        TagBoxNote->"0.002642706131078224"],
       StyleBox["0.002642706131078224`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.002642706131078224, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{15.5, 0.}, {16.5, 0.0047568710359408035`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{175.28304878048777`, 185.44865853658536`}, {
           50.03867194924144, 53.70891830351523}}]},
        StatusArea[#, 0.0047568710359408035`]& ,
        TagBoxNote->"0.0047568710359408035"],
       StyleBox["0.0047568710359408035`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.0047568710359408035`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           RectangleBox[{16.5, 0.}, {17.5, 0.003699788583509514}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{184.94158536585365`, 195.10719512195124`}, {
           50.7415993233619, 53.70891830351523}}]},
        StatusArea[#, 0.003699788583509514]& ,
        TagBoxNote->"0.003699788583509514"],
       StyleBox["0.003699788583509514`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.003699788583509514, {
         GrayLevel[0]}], "Tooltip"]& ], {}, 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{18.5, 0.}, {19.5, 0.0015856236786469346`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{204.25865853658536`, 214.42426829268294`}, {
           52.14745407160283, 53.70891830351523}}]},
        StatusArea[#, 0.0015856236786469346`]& ,
        TagBoxNote->"0.0015856236786469346"],
       StyleBox["0.0015856236786469346`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.0015856236786469346`, {
         GrayLevel[0]}], "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       TagBox[
        {RGBColor[
         0.9196002136263065, 0.7993438620584421, 0.19940489814602885`], 
         Opacity[0.5], EdgeForm[{RGBColor[
         0.8442206454566262, 0.5068284122987716, 0.13566796368352788`], 
         Thickness[0.0025]}], 
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{19.5, 0.}, {20.5, 0.0015856236786469346`}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{213.91719512195124`, 224.08280487804876`}, {
           52.14745407160283, 53.70891830351523}}]},
        StatusArea[#, 0.0015856236786469346`]& ,
        TagBoxNote->"0.0015856236786469346"],
       StyleBox["0.0015856236786469346`", {
         GrayLevel[0]}, StripOnInput -> False]],
      Annotation[#, 
       Style[0.0015856236786469346`, {
         GrayLevel[0]}], "Tooltip"]& ]}, {}, {}}, {
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointSize[Medium], {
      {Opacity[0.2], LineBox[{},
        VertexColors->None]}, 
      {Opacity[0.2], 
       LineBox[{{{0., 0.12199237321408242`}, {0., 0}}, {{1., 
          0.1671998107622429}, {1., 0}}, {{2., 0.16072217123940297`}, {
          2., 0}}, {{3., 0.1345666064518469}, {3., 0}}, {{4., 
          0.10542987126063075`}, {4., 0}}, {{5., 0.0798123697505327}, {
          5., 0}}, {{6., 0.05935526283496467}, {6., 0}}, {{7., 
          0.04377190516794756}, {7., 0}}, {{8., 0.0321885276656953}, {
          8., 0}}, {{9., 0.02368479317930554}, {9., 0}}, {{10., 
          0.017475872842534025`}, {10., 0}}, {{11., 0.012947943837093068`}, {
          11., 0}}, {{12., 0.009641058717307284}, {12., 0}}, {{13., 
          0.007218276788981728}, {13., 0}}, {{14., 0.005435657276781316}, {
          14., 0}}, {{15., 0.0041175490158986945`}, {15., 0}}, {{16., 
          0.003137667007239488}, {16., 0}}, {{17., 0.0024051302436188045`}, {
          17., 0}}, {{18., 0.0018543657581350577`}, {18., 0}}, {{19., 
          0.0014378865834873931`}, {19., 0}}, {{20., 
          0.0011211522043096096`}, {20., 0}}},
        VertexColors->None]}}}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], PointSize[Medium], {}, 
     PointBox[CompressedData["
1:eJxTTMoPSmViYGAQBWIQDQON9wNSn1jtt4fwPtibtvSvPpt2FMpncGiaMNur
e9IRKJ/D4bzIm6Yqy4NQvoBDw1/RncV/d0H5Ig6lgk9jp+ZtgfIlHCRqCxUv
JK+D8mUctJRislwzl0H5Cg4nrjsdZq5eAOUrObwpq5hw2WEGlK/iMGuW/0/D
pxOhfDUHq9Sls4pbuqB8DQcRRrn/G/Y1Q/laDma372e/nFAL5es48F86przZ
uQzK13OQ3XhOdcLdAijfwOHVhIuqWlsyoXxDh8BpS8vfbE6G8o0c5rL5CR1L
jIPyjR0KXtd+e9cXDuWbOFR6ejKXxAXZAwAFxFsD
      "]], {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesOrigin->{-0.5, 0},
  Frame->True,
  FrameStyle->GrayLevel[0.75],
  FrameTicks->{{{{0., 
       FormBox["0.`", TraditionalForm]}, {0.05, 
       FormBox["0.05`", TraditionalForm]}, {0.1, 
       FormBox["0.1`", TraditionalForm]}, {0.15000000000000002`, 
       FormBox["0.15000000000000002`", TraditionalForm]}, {0.2, 
       FormBox["0.2`", TraditionalForm]}}, None}, {Automatic, None}},
  FrameTicksStyle->GrayLevel[0],
  GridLines->{None, None},
  ImageSize->225,
  PlotRange->{{-0.5, 20.5}, {All, All}},
  PlotRangePadding->{{0, 0}, {0, 
     Scaled[0.1]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.5419516630475407`*^9, {3.5419517144663*^9, 3.541951737751354*^9}, {
   3.541951804838089*^9, 3.54195180960767*^9}, 3.541951855503731*^9, 
   3.542490060981879*^9, 3.542490972521426*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{934, 1094},
WindowMargins->{{28, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 324, 6, 67, "Section"],
Cell[906, 30, 523, 8, 27, "Input"],
Cell[1432, 40, 634, 10, 27, "Input"],
Cell[2069, 52, 6263, 140, 403, "Input"],
Cell[CellGroupData[{
Cell[8357, 196, 604, 11, 27, "Input"],
Cell[CellGroupData[{
Cell[8986, 211, 373, 5, 20, "Print"],
Cell[9362, 218, 363, 5, 20, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9774, 229, 278, 4, 27, "Input"],
Cell[10055, 235, 483, 7, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10575, 247, 279, 6, 27, "Input"],
Cell[10857, 255, 1540, 38, 58, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12446, 299, 150, 4, 67, "Section"],
Cell[CellGroupData[{
Cell[12621, 307, 520, 10, 27, "Input"],
Cell[CellGroupData[{
Cell[13166, 321, 182, 2, 20, "Print"],
Cell[13351, 325, 172, 2, 20, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13572, 333, 132, 2, 27, "Input"],
Cell[13707, 337, 144, 2, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13888, 344, 180, 4, 27, "Input"],
Cell[14071, 350, 1276, 34, 58, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15396, 390, 114, 1, 67, "Section"],
Cell[15513, 393, 491, 16, 27, "Input"],
Cell[16007, 411, 3769, 106, 193, "Input"],
Cell[CellGroupData[{
Cell[19801, 521, 140, 2, 27, "Input"],
Cell[19944, 525, 21770, 374, 290, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41763, 905, 114, 1, 67, "Section"],
Cell[CellGroupData[{
Cell[41902, 910, 146, 2, 27, "Input"],
Cell[42051, 914, 81979, 1361, 290, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[124079, 2281, 227, 3, 67, "Section"],
Cell[124309, 2286, 11639, 300, 613, "Input"],
Cell[CellGroupData[{
Cell[135973, 2590, 178, 3, 27, "Input"],
Cell[136154, 2595, 7095, 136, 157, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[143298, 2737, 163, 2, 67, "Section"],
Cell[CellGroupData[{
Cell[143486, 2743, 151, 2, 34, "Subsection"],
Cell[143640, 2747, 10693, 267, 793, "Input"],
Cell[CellGroupData[{
Cell[154358, 3018, 243, 4, 27, "Input"],
Cell[154604, 3024, 23313, 415, 189, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[177966, 3445, 145, 2, 34, "Subsection"],
Cell[CellGroupData[{
Cell[178136, 3451, 247, 4, 27, "Input"],
Cell[178386, 3457, 30878, 530, 189, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[209325, 3994, 200, 3, 67, "Section"],
Cell[CellGroupData[{
Cell[209550, 4001, 95, 1, 34, "Subsection"],
Cell[209648, 4004, 5332, 132, 433, "Input"],
Cell[CellGroupData[{
Cell[215005, 4140, 144, 2, 27, "Input"],
Cell[215152, 4144, 63578, 1204, 115, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[278779, 5354, 98, 1, 34, "Subsection"],
Cell[CellGroupData[{
Cell[278902, 5359, 148, 2, 27, "Input"],
Cell[279053, 5363, 80322, 1519, 115, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[359436, 6889, 218, 3, 67, "Section"],
Cell[CellGroupData[{
Cell[359679, 6896, 198, 3, 34, "Subsection"],
Cell[359880, 6901, 4478, 119, 328, "Input"],
Cell[CellGroupData[{
Cell[364383, 7024, 145, 2, 27, "Input"],
Cell[364531, 7028, 13959, 395, 167, "Output"]
}, Open  ]],
Cell[378505, 7426, 1290, 40, 58, "Input"],
Cell[CellGroupData[{
Cell[379820, 7470, 422, 11, 27, "Input"],
Cell[380245, 7483, 1133, 36, 43, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[381427, 7525, 197, 3, 34, "Subsection"],
Cell[CellGroupData[{
Cell[381649, 7532, 149, 2, 27, "Input"],
Cell[381801, 7536, 20380, 570, 167, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[402230, 8112, 143, 1, 34, "Subsection"],
Cell[402376, 8115, 1247, 39, 58, "Input"],
Cell[CellGroupData[{
Cell[403648, 8158, 376, 10, 27, "Input"],
Cell[404027, 8170, 1629, 51, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[405693, 8226, 506, 12, 27, "Input"],
Cell[406202, 8240, 338, 7, 27, "Output"]
}, Open  ]],
Cell[406555, 8250, 403, 11, 43, "Input"],
Cell[CellGroupData[{
Cell[406983, 8265, 2692, 66, 193, "Input"],
Cell[409678, 8333, 23707, 616, 155, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[433434, 8955, 146, 1, 34, "Subsection"],
Cell[CellGroupData[{
Cell[433605, 8960, 585, 13, 27, "Input"],
Cell[434193, 8975, 269, 6, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[434499, 8986, 2804, 67, 163, "Input"],
Cell[437306, 9055, 23586, 614, 155, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
